[Touch-packages] [Bug 1896171] Re: Wayland 3D apps appear corrupt on Raspberry Pi 4B (v3d driver)

2020-11-03 Thread Daniel van Vugt
** Bug watch added: gitlab.gnome.org/GNOME/mutter/-/issues #1520
   https://gitlab.gnome.org/GNOME/mutter/-/issues/1520

** Also affects: mutter via
   https://gitlab.gnome.org/GNOME/mutter/-/issues/1520
   Importance: Unknown
   Status: Unknown

** Changed in: mutter (Ubuntu)
   Status: New => Confirmed

** Changed in: mesa (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1896171

Title:
  Wayland 3D apps appear corrupt on Raspberry Pi 4B (v3d driver)

Status in Mutter:
  Unknown
Status in mesa package in Ubuntu:
  Confirmed
Status in mutter package in Ubuntu:
  Confirmed

Bug description:
  Wayland 3D apps appear corrupt on Raspberry Pi 4B (v3d driver).

  Seen in glmark2-wayland, glmark2-es2-wayland, weston-simple-egl.

To manage notifications about this bug go to:
https://bugs.launchpad.net/mutter/+bug/1896171/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1871794] Re: [Bluetooth] No audio output/input in HSP/HFP mode

2020-11-03 Thread Hui Wang
@smurf,

What is generated after building? If it is *.deb file, just need to run
'sudo dpkg -i *.deb; reboot'

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1871794

Title:
  [Bluetooth] No audio output/input in HSP/HFP mode

Status in bluez package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  I'm testing with Sony bluetooth headset SBH20, works fine in A2DP
  profile, but I can't get audio input and output work in HSP/HFP
  profile.

  [Reproduce steps]
  1. Scan and pair BT headset in Bluetooth setting
  2. Switch to HSP/HFP profile in Sound setting
  3. Test sound output/input

  [Machine information]
  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pulseaudio 1:13.99.1-1ubuntu1
  ProcVersionSignature: Ubuntu 5.4.0-21.25-generic 5.4.27
  Uname: Linux 5.4.0-21-generic x86_64
  ApportVersion: 2.20.11-0ubuntu25
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  ubuntu 1359 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Apr  9 16:26:52 2020
  InstallationDate: Installed on 2020-04-09 (0 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Beta amd64 (20200402)
  SourcePackage: pulseaudio
  Symptom: audio
  Symptom_Card: SBH20
  Symptom_DevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  ubuntu 1359 F pulseaudio
  Symptom_Type: No sound at all
  Title: [SBH20, recording] No sound at all
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 09/17/2019
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.0.13
  dmi.board.name: 0188D1
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 31
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr1.0.13:bd09/17/2019:svnDellInc.:pnXPS1373902-in-1:pvr:rvnDellInc.:rn0188D1:rvrA00:cvnDellInc.:ct31:cvr:
  dmi.product.family: XPS
  dmi.product.name: XPS 13 7390 2-in-1
  dmi.product.sku: 08B0
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1871794/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902810] Re: Video Flicker

2020-11-03 Thread Daniel van Vugt
Next time the problem starts happening please run:

  journalctl -b0 > journal.txt

and attach the resulting text file here.

Separately, please also try selecting 'Ubuntu on Wayland' from the login
screen, just before you enter your password.

** Package changed: xorg (Ubuntu) => xorg-server (Ubuntu)

** Changed in: xorg-server (Ubuntu)
   Status: New => Incomplete

** Summary changed:

- Video Flicker
+ [i915] Video Flicker

** Summary changed:

- [i915] Video Flicker
+ [i915] Dell Latitude 5285 video flicker when an external monitor is connected

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1902810

Title:
  [i915] Dell Latitude 5285 video flicker when an external monitor is
  connected

Status in xorg-server package in Ubuntu:
  Incomplete

Bug description:
  The display on this Dell Latitude 5285 with detachable keyboard
  flickers when an external monitor is connected.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.8.0-7625.26~1603389471~20.04~f6b125f-generic 
5.8.14
  Uname: Linux 5.8.0-7625-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.10
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  CurrentDmesg: Error: command ['dmesg'] failed with exit code 1: dmesg: read 
kernel buffer failed: Operation not permitted
  Date: Tue Nov  3 18:38:42 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  ExtraDebuggingInterest: I just need to know a workaround
  GraphicsCard:
   Intel Corporation HD Graphics 620 [8086:5916] (rev 02) (prog-if 00 [VGA 
controller])
 Subsystem: Dell HD Graphics 620 [1028:07a4]
  InstallationDate: Installed on 2020-07-01 (125 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 003: ID 8087:0a2b Intel Corp. 
   Bus 001 Device 022: ID 044e:1218 Alps Electric Co., Ltd Alps Touchpad
   Bus 001 Device 004: ID 0a5c:5834 Broadcom Corp. 5880
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: Dell Inc. Latitude 5285
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.8.0-7625-generic 
root=UUID=f22e0756-4530-44bf-8da3-d0ed47ef183a ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 07/24/2020
  dmi.bios.release: 1.10
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.10.1
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 32
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr1.10.1:bd07/24/2020:br1.10:svnDellInc.:pnLatitude5285:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct32:cvr:
  dmi.product.family: Latitude
  dmi.product.name: Latitude 5285
  dmi.product.sku: 07A4
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~20.04.1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.4
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1902810/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902749] Re: Log in screen flashes on and off until I log in

2020-11-03 Thread Daniel van Vugt
Please try (in this order):

 * Selecting 'Ubuntu on Wayland' from the login screen before you enter
your password (the icon in the bottom right corner). Now does the
flashing also happen on the desktop?

 * The official Ubuntu kernel, which is version 5.4.

 * A slightly older kernel like 5.8.

 * Editing /etc/gdm3/custom.conf and uncomment:
 #WaylandEnable=false
   to:
 WaylandEnable=false


** Tags added: amdgpu hybrid nvidia

** Summary changed:

- Log in screen flashes on and off until I log in
+ [amdgpu] [nvidia] Log in screen flashes on and off until I log in

** Package changed: xorg (Ubuntu) => xserver-xorg-video-amdgpu (Ubuntu)

** Summary changed:

- [amdgpu] [nvidia] Log in screen flashes on and off until I log in
+ [amdgpu] Log in screen flashes on and off until I log in

** Also affects: mutter (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: mutter (Ubuntu)
   Status: New => Incomplete

** Changed in: xserver-xorg-video-amdgpu (Ubuntu)
   Status: New => Incomplete

** No longer affects: xserver-xorg-video-amdgpu (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1902749

Title:
  [amdgpu] Log in screen flashes on and off until I log in

Status in mutter package in Ubuntu:
  Incomplete

Bug description:
  Im on Ubuntu 20.04.1 with an AMD Ryzen 7 4800h CPU and a Nvidia GTX
  1650ti [Mobile] GPU using nvidia-driver-450

  Kernel is up to date (5.9.3)

  When my laptop boots, the log in screen flashes black and quickly back
  on until i log in. When i reach the desktop the flashing stops. Still,
  having the screen flickering on the log in screen is very annoying.

  As far as i can tell, the laptop doesn't have any further screen
  issues.

  Thanks in advance!

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  Uname: Linux 5.9.3-050903-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  .proc.driver.nvidia.capabilities.gpu0: Error: [Errno 21] Is a directory: 
'/proc/driver/nvidia/capabilities/gpu0'
  .proc.driver.nvidia.capabilities.mig: Error: [Errno 21] Is a directory: 
'/proc/driver/nvidia/capabilities/mig'
  .proc.driver.nvidia.gpus..01.00.0: Error: [Errno 21] Is a directory: 
'/proc/driver/nvidia/gpus/:01:00.0'
  .proc.driver.nvidia.registry: Binary: ""
  .proc.driver.nvidia.suspend: suspend hibernate resume
  .proc.driver.nvidia.suspend_depth: default modeset uvm
  .proc.driver.nvidia.version:
   NVRM version: NVIDIA UNIX x86_64 Kernel Module  450.80.02  Wed Sep 23 
01:13:39 UTC 2020
   GCC version:  gcc version 9.3.0 (Ubuntu 9.3.0-17ubuntu1~20.04)
  ApportVersion: 2.20.11-0ubuntu27.10
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  CurrentDmesg: Error: command ['dmesg'] failed with exit code 1: dmesg: read 
kernel buffer failed: Operation not permitted
  Date: Tue Nov  3 17:46:21 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   NVIDIA Corporation TU116M [GeForce GTX 1650 Ti Mobile] [10de:2192] (rev a1) 
(prog-if 00 [VGA controller])
 Subsystem: Tongfang Hongkong Limited Device [1d05:1101]
   Advanced Micro Devices, Inc. [AMD/ATI] Renoir [1002:1636] (rev c6) (prog-if 
00 [VGA controller])
 Subsystem: Tongfang Hongkong Limited Renoir [1d05:1100]
  InstallationDate: Installed on 2020-10-27 (7 days ago)
  InstallationMedia: Ubuntu 20.04.1 LTS "Focal Fossa" - Release amd64 (20200731)
  MachineType: Standard GK5NPFO
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.9.3-050903-generic 
root=UUID=a7144690-52e4-4688-a61a-b208b0648077 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 09/01/2020
  dmi.bios.release: 5.16
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: N.1.16PCS01
  dmi.board.asset.tag: Standard
  dmi.board.name: GK5NPFO
  dmi.board.vendor: TongFang
  dmi.board.version: Standard
  dmi.chassis.asset.tag: Standard
  dmi.chassis.type: 10
  dmi.chassis.vendor: Standard
  dmi.chassis.version: Standard
  dmi.ec.firmware.release: 1.22
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrN.1.16PCS01:bd09/01/2020:br5.16:efr1.22:svnStandard:pnGK5NPFO:pvrStandard:rvnTongFang:rnGK5NPFO:rvrStandard:cvnStandard:ct10:cvrStandard:
  dmi.product.family: Standard
  dmi.product.name: GK5NPFO
  dmi.product.sku: 0001
  dmi.product.version: Standard
  dmi.sys.vendor: Standard
  version.compiz: compiz 1:0.9.14.1+20.04.20200211-0ubuntu1
  version.libdrm2: libdrm2 2.4.101-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~20.04.1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.nvidia-graphics-drivers: nvidia-graphics-drivers-* 

[Touch-packages] [Bug 1902721] Re: xrandr fails to set screen size while starting X11

2020-11-03 Thread Daniel van Vugt
In theory you should never need to use 'xrandr' at all...

I've decoded your monitor's EDID data and got:

EDID version: 1.3
Manufacturer: PHL Model 2290 Serial Number 174
Made in week 46 of 2016
Digital display
Maximum image size: 62 cm x 34 cm
Gamma: 2.20
DPMS levels: Off
RGB color display
First detailed timing is preferred timing
Color Characteristics
  Red:   0.6298, 0.3408
  Green: 0.3095, 0.6259
  Blue:  0.1562, 0.0605
  White: 0.3134, 0.3291
Established Timings I & II
720x40070.082 Hz   9:531.467 kHz  28.320 MHz (IBM)
640x48059.940 Hz   4:331.469 kHz  25.175 MHz (DMT)
640x48066.667 Hz   4:335.000 kHz  30.240 MHz (Apple)
640x48072.809 Hz   4:337.861 kHz  31.500 MHz (DMT)
640x48075.000 Hz   4:337.500 kHz  31.500 MHz (DMT)
800x60060.317 Hz   4:337.879 kHz  40.000 MHz (DMT)
800x60075.000 Hz   4:346.875 kHz  49.500 MHz (DMT)
   1024x76860.004 Hz   4:348.363 kHz  65.000 MHz (DMT)
   1024x76875.029 Hz   4:360.023 kHz  78.750 MHz (DMT)
   1280x1024   75.025 Hz   5:479.976 kHz 135.000 MHz (DMT)
Standard Timings
   1920x1080   60.000 Hz  16:967.500 kHz 148.500 MHz (DMT)
   1280x1024   60.020 Hz   5:463.981 kHz 108.000 MHz (DMT)
   1280x96060.000 Hz   4:360.000 kHz 108.000 MHz (DMT)
   1440x90074.984 Hz  16:10   70.635 kHz 136.750 MHz (DMT)
   1440x90059.887 Hz  16:10   55.935 kHz 106.500 MHz (DMT)
   1680x1050   59.954 Hz  16:10   65.290 kHz 146.250 MHz (DMT)
   1280x72060.000 Hz  16:945.000 kHz  74.250 MHz (DMT)
Detailed mode: Clock 533.250 MHz, 621 mm x 341 mm
   3840 3888 3920 4000 ( 48  32  80)
   2160 2163 2168  (  3   5  54)
   +hsync -vsync
   VertFreq: 59.997 Hz, HorFreq: 133.312 kHz
Detailed mode: Clock 262.750 MHz, 621 mm x 341 mm
   3840 3888 3920 4000 ( 48  32  80)
   2160 2163 2168 2191 (  3   5  23)
   +hsync -vsync
   VertFreq: 29.981 Hz, HorFreq: 65.688 kHz
Display Product Name: PHL 288P6L
Display Range Limits
  Monitor ranges (GTF): 23-80 Hz V, 30-99 kHz H, max dotclock 600 MHz
Has 1 extension block
Checksum: 0x4c



CTA-861 Extension Block Revision 3
Underscans PC formats by default
Basic audio support
Supports YCbCr 4:4:4
Supports YCbCr 4:2:2
1 native detailed modes
47 bytes of CTA data blocks
  Video Data Block
 1920x1080   60.000 Hz  16:967.500 kHz 148.500 MHz (VIC  16, native)
 1280x72060.000 Hz  16:945.000 kHz  74.250 MHz (VIC   4)
  720x48059.940 Hz  16:931.469 kHz  27.000 MHz (VIC   3)
 1920x1080   50.000 Hz  16:956.250 kHz 148.500 MHz (VIC  31)
 1280x72050.000 Hz  16:937.500 kHz  74.250 MHz (VIC  19)
  640x48059.940 Hz   4:331.469 kHz  25.175 MHz (VIC   1)
  720x57650.000 Hz  16:931.250 kHz  27.000 MHz (VIC  18)
 3840x2160   24.000 Hz  16:954.000 kHz 297.000 MHz (VIC  93)
 3840x2160   25.000 Hz  16:956.250 kHz 297.000 MHz (VIC  94)
 3840x2160   30.000 Hz  16:967.500 kHz 297.000 MHz (VIC  95)
 3840x2160   50.000 Hz  16:9   112.500 kHz 594.000 MHz (VIC  96)
 3840x2160   60.000 Hz  16:9   135.000 kHz 594.000 MHz (VIC  97)
  Audio Data Block
Linear PCM, max channels 2
  Supported sample rates (kHz): 48 44.1 32
  Supported sample sizes (bits): 24 20 16
  Speaker Allocation Data Block
Speaker map:
  FL/FR - Front Left/Right
  Vendor-Specific Data Block, OUI 0x000c03 (HDMI)
Source physical address 1.4.0.0
DC_36bit
DC_30bit
DC_Y444
DVI_Dual
Maximum TMDS clock: 600 MHz
Extended HDMI video details:
  HDMI VICs:
 3840x2160   30.000 Hz  16:967.500 kHz 297.000 MHz (HDMI VIC 1)
 3840x2160   25.000 Hz  16:956.250 kHz 297.000 MHz (HDMI VIC 2)
 3840x2160   24.000 Hz  16:954.000 kHz 297.000 MHz (HDMI VIC 3)
  Vendor-Specific Data Block, OUI 0xc45dd8 (HDMI Forum)
Version: 1
Maximum TMDS Character Rate: 600 MHz
SCDC Present
Supports 12-bits/component Deep Color 4:2:0 Pixel Encoding
Supports 10-bits/component Deep Color 4:2:0 Pixel Encoding
  Extended tag: YCbCr 4:2:0 Capability Map Data Block
 3840x2160   50.000 Hz  16:9   112.500 kHz 594.000 MHz (VIC  96)
 3840x2160   60.000 Hz  16:9   135.000 kHz 594.000 MHz (VIC  97)
Detailed mode: Clock 74.250 MHz, 621 mm x 341 mm
   1280 1390 1430 1650 (110  40 220)
720  725  730  750 (  5   5  20)
   +hsync +vsync
   VertFreq: 60.000 Hz, HorFreq: 45.000 kHz
Detailed mode: Clock 27.000 MHz, 621 mm x 341 mm
720  736  798  858 ( 16  62  60)
480  489  495  525 (  9   6  30)
   -hsync -vsync
   VertFreq: 59.940 Hz, HorFreq: 31.469 kHz
Detailed mode: Clock 277.250 MHz, 621 mm x 341 mm
   1920 1968 2000 2080 ( 48  32  80)
   2160 2163 2173  (  3  10  49)
   

[Touch-packages] [Bug 1902810] [NEW] Video Flicker

2020-11-03 Thread Dave Keeton
Public bug reported:

The display on this Dell Latitude 5285 with detachable keyboard flickers
when an external monitor is connected.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: xorg 1:7.7+19ubuntu14
ProcVersionSignature: Ubuntu 5.8.0-7625.26~1603389471~20.04~f6b125f-generic 
5.8.14
Uname: Linux 5.8.0-7625-generic x86_64
ApportVersion: 2.20.11-0ubuntu27.10
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CasperMD5CheckResult: skip
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
CurrentDmesg: Error: command ['dmesg'] failed with exit code 1: dmesg: read 
kernel buffer failed: Operation not permitted
Date: Tue Nov  3 18:38:42 2020
DistUpgraded: Fresh install
DistroCodename: focal
DistroVariant: ubuntu
ExtraDebuggingInterest: I just need to know a workaround
GraphicsCard:
 Intel Corporation HD Graphics 620 [8086:5916] (rev 02) (prog-if 00 [VGA 
controller])
   Subsystem: Dell HD Graphics 620 [1028:07a4]
InstallationDate: Installed on 2020-07-01 (125 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 003: ID 8087:0a2b Intel Corp. 
 Bus 001 Device 022: ID 044e:1218 Alps Electric Co., Ltd Alps Touchpad
 Bus 001 Device 004: ID 0a5c:5834 Broadcom Corp. 5880
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Inc. Latitude 5285
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.8.0-7625-generic 
root=UUID=f22e0756-4530-44bf-8da3-d0ed47ef183a ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/24/2020
dmi.bios.release: 1.10
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.10.1
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 32
dmi.chassis.vendor: Dell Inc.
dmi.modalias: 
dmi:bvnDellInc.:bvr1.10.1:bd07/24/2020:br1.10:svnDellInc.:pnLatitude5285:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct32:cvr:
dmi.product.family: Latitude
dmi.product.name: Latitude 5285
dmi.product.sku: 07A4
dmi.sys.vendor: Dell Inc.
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.101-2
version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~20.04.1
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug focal third-party-packages ubuntu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1902810

Title:
  Video Flicker

Status in xorg package in Ubuntu:
  New

Bug description:
  The display on this Dell Latitude 5285 with detachable keyboard
  flickers when an external monitor is connected.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.8.0-7625.26~1603389471~20.04~f6b125f-generic 
5.8.14
  Uname: Linux 5.8.0-7625-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.10
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  CurrentDmesg: Error: command ['dmesg'] failed with exit code 1: dmesg: read 
kernel buffer failed: Operation not permitted
  Date: Tue Nov  3 18:38:42 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  ExtraDebuggingInterest: I just need to know a workaround
  GraphicsCard:
   Intel Corporation HD Graphics 620 [8086:5916] (rev 02) (prog-if 00 [VGA 
controller])
 Subsystem: Dell HD Graphics 620 [1028:07a4]
  InstallationDate: Installed on 2020-07-01 (125 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 003: ID 8087:0a2b Intel Corp. 
   Bus 001 Device 022: ID 044e:1218 Alps Electric Co., Ltd Alps Touchpad
   Bus 001 Device 004: ID 0a5c:5834 Broadcom Corp. 5880
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: Dell Inc. Latitude 5285
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.8.0-7625-generic 
root=UUID=f22e0756-4530-44bf-8da3-d0ed47ef183a ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  

[Touch-packages] [Bug 1902652] Re: [arm64] [Libre Computer Board AML-S805X-AC] 3D rendering is very slow

2020-11-03 Thread Daniel van Vugt
Please run these commands:

  ls -l /dev/dri/* > dri.txt
  glxinfo > glx.txt

and attach the resulting text files here.

** Changed in: mesa (Ubuntu)
   Status: New => Incomplete

** Changed in: xf86-video-armsoc (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1902652

Title:
  [arm64] [Libre Computer Board AML-S805X-AC] 3D rendering is very slow

Status in mesa package in Ubuntu:
  Incomplete
Status in xf86-video-armsoc package in Ubuntu:
  Incomplete

Bug description:
  3d rendering is very slow, also when surfing the internet, webpages
  take a while to render. Internet access is not the problem.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: xorg 1:7.7+19ubuntu7.1
  Uname: Linux 4.19.64+ aarch64
  ApportVersion: 2.20.9-0ubuntu7.18
  Architecture: arm64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  CurrentDesktop: XFCE
  Date: Tue Nov  3 05:42:00 2020
  DistUpgraded: Fresh install
  DistroCodename: bionic
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   
  Lspci:
   
  ProcEnviron:
   LANGUAGE=en
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.19.64+ 
root=UUID=ed29fecf-6335-4caf-989f-7400b169cb82 ro rootflags=subvol=@ noquiet 
splash vt.handoff=1
  Renderer: Software
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  XorgConf:
   Section "Device"
Identifier  "Allwinner sun4i DRM driver"
Driver  "armsoc"
Option  "DRI2"  "true"
   EndSection
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2~18.04.1
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~18.04.1
  version.libgl1-mesa-glx: libgl1-mesa-glx 20.0.8-0ubuntu1~18.04.1
  version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu4.7
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1902652/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902652] Re: [arm64] [Libre Computer Board AML-S805X-AC] 3D rendering is very slow

2020-11-03 Thread Daniel van Vugt
I think this should work in theory, but yeah it's not specific to a
machine type:

http://cdimage.ubuntu.com/releases/20.04.1/release/ubuntu-20.04.1-live-
server-arm64.iso

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1902652

Title:
  [arm64] [Libre Computer Board AML-S805X-AC] 3D rendering is very slow

Status in mesa package in Ubuntu:
  Incomplete
Status in xf86-video-armsoc package in Ubuntu:
  Incomplete

Bug description:
  3d rendering is very slow, also when surfing the internet, webpages
  take a while to render. Internet access is not the problem.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: xorg 1:7.7+19ubuntu7.1
  Uname: Linux 4.19.64+ aarch64
  ApportVersion: 2.20.9-0ubuntu7.18
  Architecture: arm64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  CurrentDesktop: XFCE
  Date: Tue Nov  3 05:42:00 2020
  DistUpgraded: Fresh install
  DistroCodename: bionic
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   
  Lspci:
   
  ProcEnviron:
   LANGUAGE=en
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.19.64+ 
root=UUID=ed29fecf-6335-4caf-989f-7400b169cb82 ro rootflags=subvol=@ noquiet 
splash vt.handoff=1
  Renderer: Software
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  XorgConf:
   Section "Device"
Identifier  "Allwinner sun4i DRM driver"
Driver  "armsoc"
Option  "DRI2"  "true"
   EndSection
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2~18.04.1
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~18.04.1
  version.libgl1-mesa-glx: libgl1-mesa-glx 20.0.8-0ubuntu1~18.04.1
  version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu4.7
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1902652/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1899745] Re: [SRU] alsa-utils: let alsactl support _boot section defined in ucm

2020-11-03 Thread Launchpad Bug Tracker
This bug was fixed in the package alsa-utils - 1.2.2-1ubuntu2

---
alsa-utils (1.2.2-1ubuntu2) focal; urgency=medium

  * d/p/0001-alsactl-init-iterate-through-all-cards-for-the-initi.patch
  * d/p/0002-alsactl-add-initial-support-for-UCM-init.patch
  * d/p/0003-alsactl-redirect-alsa-lib-errors.patch
  * d/p/0004-alsactl-add-D-argument-to-execute-also-the-UCM-defau.patch
  * d/p/0005-alsactl-use-the-right-priority-for-syslog-messages.patch
  * d/p/0006-alsactl-allow-to-compile-alsactl-without-UCM-support.patch
  * d/p/0007-alsactl-ucm-rename-_once-command-to-_boot-command.patch
  * d/p/0008-alsaucm-remove-custom-rules-alsactl-is-UCM-aware-now.patch
Make alsactl support _boot section defined in the ucm, then the
mixer values defined in the _boot section for Dell soundwire audio
machines could be executed at the first booting. (LP: #1899745)

 -- Hui Wang   Fri, 16 Oct 2020 17:50:30 +0200

** Changed in: alsa-utils (Ubuntu Focal)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-utils in Ubuntu.
https://bugs.launchpad.net/bugs/1899745

Title:
  [SRU] alsa-utils: let alsactl support _boot section defined in ucm

Status in HWE Next:
  New
Status in alsa-utils package in Ubuntu:
  Fix Released
Status in alsa-utils source package in Focal:
  Fix Released

Bug description:
  This patchset was backported from mainline alsa-utils 1.2.3, and
  groovy already integrated alsa-utils 1.2.3, there is no need to SRU
  this patchset to groovy, so only for focal.

  [Impact]
  We enabled 2 Dell soundwire audio machines, these machines depend on
  ucm to make the audio work, and in the ucm, the _boot section defined
  some amixers values for the 1st booting, these amixer values should
  be set to audio driver at the 1st booting, otherwise the whole audio
  doesn't work.

  [Fix]
  Backport some patches from mainline v1.2.3, these patches make the
  alsactl support _boot section in the ucm, then the systemd will call
  alsactl init after booting, the alsactl init will setting all amixers
  defined in the _boot section of ucm.

  [Test Case]
  On the Dell soundwire audio machines, After booting up, run 'amixer
  contents | less' to check all amixer values defined in the _boot
  section of ucm, all values read from driver are same as the ones in
  the ucm, test speaker/microphone/headset, all work well.

  [Regression Risk]
  This could introduce failure on runing 'alsactl init' for some machines,
  then the amixers will not be initialized correctly, users will experience
  all audio can't work like speaker doesn't output sound or microphone can't
  record sound. But this regression possibility is very low, since We have
  tested it both on soundwire machines and non-soundwire machines, all worked 
well.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1899745/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1899745] Update Released

2020-11-03 Thread Chris Halse Rogers
The verification of the Stable Release Update for alsa-utils has
completed successfully and the package is now being released to
-updates.  Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-utils in Ubuntu.
https://bugs.launchpad.net/bugs/1899745

Title:
  [SRU] alsa-utils: let alsactl support _boot section defined in ucm

Status in HWE Next:
  New
Status in alsa-utils package in Ubuntu:
  Fix Released
Status in alsa-utils source package in Focal:
  Fix Released

Bug description:
  This patchset was backported from mainline alsa-utils 1.2.3, and
  groovy already integrated alsa-utils 1.2.3, there is no need to SRU
  this patchset to groovy, so only for focal.

  [Impact]
  We enabled 2 Dell soundwire audio machines, these machines depend on
  ucm to make the audio work, and in the ucm, the _boot section defined
  some amixers values for the 1st booting, these amixer values should
  be set to audio driver at the 1st booting, otherwise the whole audio
  doesn't work.

  [Fix]
  Backport some patches from mainline v1.2.3, these patches make the
  alsactl support _boot section in the ucm, then the systemd will call
  alsactl init after booting, the alsactl init will setting all amixers
  defined in the _boot section of ucm.

  [Test Case]
  On the Dell soundwire audio machines, After booting up, run 'amixer
  contents | less' to check all amixer values defined in the _boot
  section of ucm, all values read from driver are same as the ones in
  the ucm, test speaker/microphone/headset, all work well.

  [Regression Risk]
  This could introduce failure on runing 'alsactl init' for some machines,
  then the amixers will not be initialized correctly, users will experience
  all audio can't work like speaker doesn't output sound or microphone can't
  record sound. But this regression possibility is very low, since We have
  tested it both on soundwire machines and non-soundwire machines, all worked 
well.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1899745/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1897934] Re: [SRU][Intel HDA] The initial sound level is set to zero (muted)

2020-11-03 Thread Launchpad Bug Tracker
This bug was fixed in the package alsa-lib - 1.2.2-2.1ubuntu2.1

---
alsa-lib (1.2.2-2.1ubuntu2.1) focal; urgency=medium

  * d/p/0001-ucm-add-a-check-for-the-empty-configuration.patch
  - Fix the failure on init the HDA-Intel sound card, because there
is no init mixer values in the ucm, the alsa-lib should return
error and then let alsautils init this sound card in the legacy
HDA way. (LP: #1897934)

 -- Hui Wang   Thu, 22 Oct 2020 11:50:50 +0100

** Changed in: alsa-lib (Ubuntu Focal)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-lib in Ubuntu.
https://bugs.launchpad.net/bugs/1897934

Title:
  [SRU][Intel HDA] The initial sound level is set to zero (muted)

Status in Release Notes for Ubuntu:
  Invalid
Status in alsa-lib package in Ubuntu:
  Fix Released
Status in alsa-lib source package in Focal:
  Fix Released
Status in alsa-lib source package in Groovy:
  Fix Released

Bug description:
  [Impact]
  Fail to run '/usr/sbin/alsactl restore' on the HDA-Intel machines, this
  results in the failure on setting the init mixer values for HDA sound
  card, and users experience the mute of audio after installing the 20.10.  

  [Fix]
  Backport a patch from the latest alsa-lib (v1.2.3+)

  [Test]
  Without the patched alsa-lib, rm ~/.config/pulse/*;sudo rm /var/lib/alsa/*;
  sudo sh -c "echo b > /proc/sysrq-trigger", after booting up, the audio is
  muted.

  Install the patched alsa-lib, rm ~/.config/pulse/*;sudo rm /var/lib/alsa/*;
  sudo sh -c "echo b > /proc/sysrq-trigger", after booting up, the audio is
  not muted.

  [Regression Potential]
  This could make the ucm audio fail to initialize, but this possibility is
  very low, since this patch is from upstream, and I tested on a ucm based
  machine, the audio is good.

  
  On boot into the live session - or on first install the sound level is muted.

  I have to use GNOME Control Center - Sounds to change to an
  appropriate level.  Once changed the level chosen is correctly
  retained between reboots.

  This appears to be a regression from 20.04 where the sound level was
  set to - I guess - 80% on the live-session/first install

  ProblemType: BugDistroRelease: Ubuntu 20.10
  Package: pulseaudio 1:13.99.1-1ubuntu11
  ProcVersionSignature: Ubuntu 5.8.0-20.21-generic 5.8.10
  Uname: Linux 5.8.0-20-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.11-0ubuntu48
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  ubuntu-budgie   5041 F pulseaudio
  CasperMD5CheckResult: pass
  CasperVersion: 1.452
  CurrentDesktop: Budgie:GNOME
  Date: Wed Sep 30 16:03:08 2020
  LiveMediaBuild: Ubuntu-Budgie 20.10 "Groovy Gorilla" - Beta amd64 (20200930)
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bashSourcePackage: pulseaudio
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 02/15/2016
  dmi.bios.release: 15.31
  dmi.bios.vendor: Insyde
  dmi.bios.version: F.1F
  dmi.board.asset.tag: Type2 - Board Asset Tag
  dmi.board.name: 80BF
  dmi.board.vendor: HP
  dmi.board.version: 95.16
  dmi.chassis.asset.tag: Chassis Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: HP
  dmi.chassis.version: Chassis Version
  dmi.ec.firmware.release: 95.22
  dmi.modalias: 
dmi:bvnInsyde:bvrF.1F:bd02/15/2016:br15.31:efr95.22:svnHP:pnHPNotebook:pvr:rvnHP:rn80BF:rvr95.16:cvnHP:ct10:cvrChassisVersion:
  dmi.product.family: 103C_5335KV G=N L=CON B=HP
  dmi.product.name: HP Notebook
  dmi.product.sku: N9S73EA#ABU
  dmi.sys.vendor: HP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-release-notes/+bug/1897934/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1897934] Update Released

2020-11-03 Thread Chris Halse Rogers
The verification of the Stable Release Update for alsa-lib has completed
successfully and the package is now being released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-lib in Ubuntu.
https://bugs.launchpad.net/bugs/1897934

Title:
  [SRU][Intel HDA] The initial sound level is set to zero (muted)

Status in Release Notes for Ubuntu:
  Invalid
Status in alsa-lib package in Ubuntu:
  Fix Released
Status in alsa-lib source package in Focal:
  Fix Released
Status in alsa-lib source package in Groovy:
  Fix Released

Bug description:
  [Impact]
  Fail to run '/usr/sbin/alsactl restore' on the HDA-Intel machines, this
  results in the failure on setting the init mixer values for HDA sound
  card, and users experience the mute of audio after installing the 20.10.  

  [Fix]
  Backport a patch from the latest alsa-lib (v1.2.3+)

  [Test]
  Without the patched alsa-lib, rm ~/.config/pulse/*;sudo rm /var/lib/alsa/*;
  sudo sh -c "echo b > /proc/sysrq-trigger", after booting up, the audio is
  muted.

  Install the patched alsa-lib, rm ~/.config/pulse/*;sudo rm /var/lib/alsa/*;
  sudo sh -c "echo b > /proc/sysrq-trigger", after booting up, the audio is
  not muted.

  [Regression Potential]
  This could make the ucm audio fail to initialize, but this possibility is
  very low, since this patch is from upstream, and I tested on a ucm based
  machine, the audio is good.

  
  On boot into the live session - or on first install the sound level is muted.

  I have to use GNOME Control Center - Sounds to change to an
  appropriate level.  Once changed the level chosen is correctly
  retained between reboots.

  This appears to be a regression from 20.04 where the sound level was
  set to - I guess - 80% on the live-session/first install

  ProblemType: BugDistroRelease: Ubuntu 20.10
  Package: pulseaudio 1:13.99.1-1ubuntu11
  ProcVersionSignature: Ubuntu 5.8.0-20.21-generic 5.8.10
  Uname: Linux 5.8.0-20-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.11-0ubuntu48
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  ubuntu-budgie   5041 F pulseaudio
  CasperMD5CheckResult: pass
  CasperVersion: 1.452
  CurrentDesktop: Budgie:GNOME
  Date: Wed Sep 30 16:03:08 2020
  LiveMediaBuild: Ubuntu-Budgie 20.10 "Groovy Gorilla" - Beta amd64 (20200930)
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bashSourcePackage: pulseaudio
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 02/15/2016
  dmi.bios.release: 15.31
  dmi.bios.vendor: Insyde
  dmi.bios.version: F.1F
  dmi.board.asset.tag: Type2 - Board Asset Tag
  dmi.board.name: 80BF
  dmi.board.vendor: HP
  dmi.board.version: 95.16
  dmi.chassis.asset.tag: Chassis Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: HP
  dmi.chassis.version: Chassis Version
  dmi.ec.firmware.release: 95.22
  dmi.modalias: 
dmi:bvnInsyde:bvrF.1F:bd02/15/2016:br15.31:efr95.22:svnHP:pnHPNotebook:pvr:rvnHP:rn80BF:rvr95.16:cvnHP:ct10:cvrChassisVersion:
  dmi.product.family: 103C_5335KV G=N L=CON B=HP
  dmi.product.name: HP Notebook
  dmi.product.sku: N9S73EA#ABU
  dmi.sys.vendor: HP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-release-notes/+bug/1897934/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902760] Re: Please merge linker bugfix into Ubuntu 20.04 LTS

2020-11-03 Thread Bug Watch Updater
Launchpad has imported 11 comments from the remote bug at
https://sourceware.org/bugzilla/show_bug.cgi?id=26262.

If you reply to an imported comment from within Launchpad, your comment
will be sent to the remote bug automatically. Read more about
Launchpad's inter-bugtracker facilities at
https://help.launchpad.net/InterBugTracking.


On 2020-07-18T23:56:26+00:00 D-i-j wrote:

This can be reproduced with clang 10 (likely also 9; and all master
commits before https://reviews.llvm.org/D83967 ). LLVMgold.so is needed.

% cat a.c
int main() {}
% /tmp/Debug/bin/clang -fuse-ld=bfd -fprofile-generate -flto a.c 
-Wl,-plugin-opt=save-temps -Wl,-y,__llvm_profile_raw_version 
-Wl,-plugin-opt=save-temps
/usr/bin/ld.bfd: /tmp/a-e575a9.o (symbol from plugin): definition of 
__llvm_profile_raw_version
/usr/bin/ld.bfd: 
/tmp/Debug/lib/clang/12.0.0/lib/linux/libclang_rt.profile-x86_64.a(InstrProfiling.c.o):
 definition of __llvm_profile_raw_version

/tmp/a-e575a9.o (symbol from plugin) provides a definition in a prevailing 
comdat group.
libclang_rt.profile-x86_64.a(InstrProfiling.c.o) is an weak definition which 
should not override the IR definition.

% cat a.out.resolution.txt 
/tmp/a-e575a9.o
-r=/tmp/a-e575a9.o,main,plx
-r=/tmp/a-e575a9.o,__llvm_profile_raw_version,l  # should be 'plx' instead of 
'l'
-r=/tmp/a-e575a9.o,__llvm_profile_filename,plx

Gold and LLD are correct.

% /tmp/Debug/bin/clang -fuse-ld=gold -fprofile-generate -flto a.c 
-Wl,-plugin-opt=save-temps -Wl,-y,__llvm_profile_raw_version
/tmp/a-668c9c.o: definition of __llvm_profile_raw_version
/tmp/Debug/lib/clang/12.0.0/lib/linux/libclang_rt.profile-x86_64.a(InstrProfiling.c.o):
 definition of __llvm_profile_raw_version
a.out.o: definition of __llvm_profile_raw_version
% cat a.out.resolution.txt 
/tmp/a-668c9c.o
-r=/tmp/a-668c9c.o,main,plx
-r=/tmp/a-668c9c.o,__llvm_profile_raw_version,plx
-r=/tmp/a-668c9c.o,__llvm_profile_filename,plx

% /tmp/Debug/bin/clang -fuse-ld=lld -fprofile-generate -flto a.c 
-Wl,-plugin-opt=save-temps -Wl,-y,__llvm_profile_raw_version
/tmp/a-afb841.o: definition of __llvm_profile_raw_version
: reference to __llvm_profile_raw_version
lto.tmp: definition of __llvm_profile_raw_version
% cat a.out.resolution.txt
/tmp/a-afb841.o
-r=/tmp/a-afb841.o,main,plx
-r=/tmp/a-afb841.o,__llvm_profile_raw_version,plx
-r=/tmp/a-afb841.o,__llvm_profile_filename,plx


The ld bug is in ld/plugin.c:plugin_notice . ld somehow drops 
bfd_link_hash_defined (provided by "/tmp/a-e575a9.o (symbol from plugin)") in 
favor of bfd_link_hash_undefweak. Then bfd_link_hash_undefweak is overridden by 
the weak definition in libclang_rt.profile-x86_64.a(InstrProfiling.c.o)

  /* Otherwise, it must be a new def.
 Ensure any symbol defined in an IR dummy BFD takes on a
 new value from a real BFD.  Weak symbols are not normally
 overridden by a new weak definition, and strong symbols
 will normally cause multiple definition errors.  Avoid
 this by making the symbol appear to be undefined.  */
  else if (((h->type == bfd_link_hash_defweak
 || h->type == bfd_link_hash_defined)
&& is_ir_dummy_bfd (sym_bfd = h->u.def.section->owner))
   || (h->type == bfd_link_hash_common
   && is_ir_dummy_bfd (sym_bfd = h->u.c.p->section->owner)))
{
  h->type = bfd_link_hash_undefweak;
  h->u.undef.abfd = sym_bfd;
}

The intended behavior is to let "/tmp/a-e575a9.o (symbol from plugin)"
provide the definition.

Reply at:
https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1902760/comments/0


On 2020-07-19T12:25:08+00:00 Hjl-tools wrote:

clang has different behavior depending on -fuse-ld=XXX:

[hjl@gnu-cfl-2 pr26262]$ clang -fuse-ld=gold -Wl,-y,__llvm_profile_raw_version 
-Wl,-plugin-opt=save-temps -fprofile-generate -flto -o a a.c -save-temps
a.o: definition of __llvm_profile_raw_version
/usr/lib64/clang/10.0.0/lib/linux/libclang_rt.profile-x86_64.a(InstrProfiling.c.o):
 definition of __llvm_profile_raw_version
a.o: definition of __llvm_profile_raw_version
[hjl@gnu-cfl-2 pr26262]$ clang -fuse-ld=bfd -Wl,-y,__llvm_profile_raw_version 
-Wl,-plugin-opt=save-temps -fprofile-generate -flto -o a a.o
/usr/bin/ld.bfd: a.o: definition of __llvm_profile_raw_version
[hjl@gnu-cfl-2 pr26262]$ clang -fuse-ld=bfd -Wl,-y,__llvm_profile_raw_version 
-Wl,-plugin-opt=save-temps -fprofile-generate -flto -o a a.c -save-temps
/usr/bin/ld.bfd: a.o (symbol from plugin): definition of 
__llvm_profile_raw_version
/usr/bin/ld.bfd: 
/usr/lib64/clang/10.0.0/lib/linux/libclang_rt.profile-x86_64.a(InstrProfiling.c.o):
 definition of __llvm_profile_raw_version
[hjl@gnu-cfl-2 pr26262]$ clang -fuse-ld=gold -Wl,-y,__llvm_profile_raw_version 
-Wl,-plugin-opt=save-temps -fprofile-generate -flto -o a a.o

[Touch-packages] [Bug 1892358] Re: autopkgtest success rate dropped inhibiting proposed migration

2020-11-03 Thread Launchpad Bug Tracker
This bug was fixed in the package systemd - 237-3ubuntu10.43

---
systemd (237-3ubuntu10.43) bionic; urgency=medium

  [ Guilherme G. Piccoli ]
  * d/p/lp1830746-bump-mlock-ulimit-to-64Mb.patch:
- Bump the memlock limit to match Focal and newer releases (LP: #1830746)
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=61adb797642f3dd2e5c14f7914c2949c665cefe8

  [ Victor Manuel Tapia King ]
  * d/p/lp1896614-core-Avoid-race-when-starting-dbus-services.patch:
- Fix race when starting dbus services (LP: #1896614)
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=373cb6ccd6978a7112bbfd7e5cf4f703a9f8448e

  [ Dan Streetman ]
  * d/t/*,
d/p/lp1892358/0001-test-increase-qemu-timeout-for-TEST-08-and-TEST-09.patch,
d/p/lp1892358/0002-test-increase-timeout-for-TEST-17-UDEV-WANTS.patch,
d/p/lp1892358/0003-test-increase-qemu-timeout-for-TEST-18-and-TEST-19.patch:
- Increase QEMU_TIMEOUT on 'upstream' autopkgtest tests
- Pull latest tests from newer releases to fix false negatives
- Blacklist flaky 'upstream' TEST-03
  (LP: #1892358)
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9fd8391c2499e163515b629a8ca5790898fc599d
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d1756b3e1c3e625ed7162cff4909e7a29c315051
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=37f8d73516a84e85e4057d6a92204b4a174af718
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=229ed2076eb773efc548035262b8b8009bf89207
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f2d7b1f952667316cc07a4b3c5010e66ace07a90
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=659befe61bbfeb7afc9efa24458c9745412d7c6d

 -- Victor Manuel Tapia King   Wed, 07 Oct
2020 16:30:03 -0400

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1892358

Title:
  autopkgtest success rate dropped inhibiting proposed migration

Status in build-essential package in Ubuntu:
  Invalid
Status in glib2.0 package in Ubuntu:
  Invalid
Status in iputils package in Ubuntu:
  Invalid
Status in kbd package in Ubuntu:
  Invalid
Status in linux-meta package in Ubuntu:
  Invalid
Status in ntpsec package in Ubuntu:
  Invalid
Status in qemu package in Ubuntu:
  Invalid
Status in systemd package in Ubuntu:
  Fix Released
Status in util-linux package in Ubuntu:
  Invalid
Status in linux-meta source package in Bionic:
  New
Status in systemd source package in Bionic:
  Fix Released
Status in build-essential source package in Focal:
  Confirmed
Status in linux-meta source package in Focal:
  New
Status in qemu source package in Focal:
  Confirmed
Status in systemd source package in Focal:
  Fix Released
Status in util-linux source package in Focal:
  Confirmed

Bug description:
  [impact]

  autopkgtests are failing/flaky and prevent other packages from
  migrating to -updates

  [test case]

  check autopkgtest history

  [regression potential]

  in regard to the changed test cases, any regression would likely
  result in either an incorrectly passed test, or an incorrectly failed
  test.

  [scope]

  for systemd, this is needed for x, b, and f.

  tests in g appear to be mostly stable, but I've opened MR (linked from
  this bug) to update the tests there as well.

  i don't plan to update x, as it's reaching ESM in ~6 months, and
  backporting the test fixes is more work than just a simple code copy,
  since there are additional differences/changes needed in the older
  version of systemd (and python3). the failing/flaky tests in x have
  been like that forever, and people have just retried them; we can keep
  retrying them until x moves into ESM next year.

  [original description]

  Hi,
  we had such cases in the past like bug 1817721 for bionic and maybe bug 
1892130 is about the same as well. There were more but I didn't want to search 
for all of them - what I checked is that there are no open ones clearly 
pointing out the recent further drop in already flaky subtests.

  In particular the tests "tests-in-lxd" and "systemd-fsckd" were known
  to be flaky before, but got even worse.

  Here stats of the last 40 runs, it might be a coincidences that this
  is after 246-2ubuntu1 landed. Could as well be any other change

  groovy
    amd64
  tests-in-lxd   (F 42% S  0% B 10% => P 45%/) 
BFFFBFF.B.F.F...FBF
  build-login(F  0% S  0% B 10% => P 87%/) 
B...B...BB.
  unit-config(F  0% S  0% B 10% => P 87%/) 
B...B...BB.
  networkd-testpy(F  0% S  0% B 10% => P 87%/) 
B...B...BB.
  

[Touch-packages] [Bug 1896614] Re: Race condition when starting dbus services

2020-11-03 Thread Launchpad Bug Tracker
This bug was fixed in the package systemd - 237-3ubuntu10.43

---
systemd (237-3ubuntu10.43) bionic; urgency=medium

  [ Guilherme G. Piccoli ]
  * d/p/lp1830746-bump-mlock-ulimit-to-64Mb.patch:
- Bump the memlock limit to match Focal and newer releases (LP: #1830746)
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=61adb797642f3dd2e5c14f7914c2949c665cefe8

  [ Victor Manuel Tapia King ]
  * d/p/lp1896614-core-Avoid-race-when-starting-dbus-services.patch:
- Fix race when starting dbus services (LP: #1896614)
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=373cb6ccd6978a7112bbfd7e5cf4f703a9f8448e

  [ Dan Streetman ]
  * d/t/*,
d/p/lp1892358/0001-test-increase-qemu-timeout-for-TEST-08-and-TEST-09.patch,
d/p/lp1892358/0002-test-increase-timeout-for-TEST-17-UDEV-WANTS.patch,
d/p/lp1892358/0003-test-increase-qemu-timeout-for-TEST-18-and-TEST-19.patch:
- Increase QEMU_TIMEOUT on 'upstream' autopkgtest tests
- Pull latest tests from newer releases to fix false negatives
- Blacklist flaky 'upstream' TEST-03
  (LP: #1892358)
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9fd8391c2499e163515b629a8ca5790898fc599d
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d1756b3e1c3e625ed7162cff4909e7a29c315051
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=37f8d73516a84e85e4057d6a92204b4a174af718
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=229ed2076eb773efc548035262b8b8009bf89207
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f2d7b1f952667316cc07a4b3c5010e66ace07a90
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=659befe61bbfeb7afc9efa24458c9745412d7c6d

 -- Victor Manuel Tapia King   Wed, 07 Oct
2020 16:30:03 -0400

** Changed in: systemd (Ubuntu Bionic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1896614

Title:
  Race condition when starting dbus services

Status in systemd:
  Fix Released
Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Bionic:
  Fix Released

Bug description:
  [impact]

  In certain scenarios, such as high load environments or when
  "systemctl daemon-reload" runs at the same time a dbus service is
  starting (e.g. systemd-logind), systemd is not able to track properly
  when the service has started, keeping the job 'running' forever.

  [test case]

  set up a 1-cpu VM with Bionic, and configure the system with a ssh key
  so the user can ssh to localhost. Then run something like:

  $ while timeout 5 ssh localhost true; do echo 'reloading'; sudo
  systemctl restart systemd-logind & sudo systemctl daemon-reload; done

  if that doesn't work try:

  $ while timeout 5 ssh localhost true; do echo 'reloading'; sudo sh -c
  'systemctl restart systemd-logind & systemctl daemon-reload'; done

  
  once the reproducer exits the while loop, there should be a running job for 
systemd-logind, and any logins attempted after the bug is reproduced should 
also hang waiting for the systemd-logind job to complete, e.g.:

  ubuntu@lp1896614-b:~$ systemctl list-jobs
  JOB UNIT   TYPE  STATE
  525 systemd-logind.service start running
  669 session-6.scopestart waiting
  664 session-5.scopestart waiting

  3 jobs listed.

  [regression potential]

  any regression would likely involve services that are Type=dbus
  failing to complete starting. as with any systemd change, regressions
  could also involve assertion failures in systemd which causes it to
  exit.

  [scope]

  this is needed only for bionic.

  this is fixed upstream with commit
  a5a8776ae5e4244b7f5acb2a1bfbe6e0b4d8a870 which is including starting
  in v243, so it is included already in focal and later.

  (per upstream bug) this was introduced by upstream commit
  75152a4d6aedbfd3ee8b2d5782b9edf27407622a which was included starting
  in v237, so this bug is not present in xenial or earlier.

  [original description]

  In certain scenarios, such as high load environments or when
  "systemctl daemon-reload" runs at the same time a dbus service is
  starting (e.g. systemd-logind), systemd is not able to track properly
  when the service has started, keeping the job 'running' forever.

  The issue appears when systemd runs the "AddMatch" dbus method call to
  track the service's "NameOwnerChange" once it has already ran. A
  working instance would look like this:

  https://pastebin.ubuntu.com/p/868J6WBRQx/

  A failing instance would be:

  https://pastebin.ubuntu.com/p/HhJZ4p8dT5/

  I've been able to reproduce the issue on Bionic (237-3ubuntu10.42)
  running:

  sudo systemctl 

[Touch-packages] [Bug 1830746] Re: memlock setting in systemd (pid 1) too low for containers (bionic)

2020-11-03 Thread Launchpad Bug Tracker
This bug was fixed in the package systemd - 237-3ubuntu10.43

---
systemd (237-3ubuntu10.43) bionic; urgency=medium

  [ Guilherme G. Piccoli ]
  * d/p/lp1830746-bump-mlock-ulimit-to-64Mb.patch:
- Bump the memlock limit to match Focal and newer releases (LP: #1830746)
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=61adb797642f3dd2e5c14f7914c2949c665cefe8

  [ Victor Manuel Tapia King ]
  * d/p/lp1896614-core-Avoid-race-when-starting-dbus-services.patch:
- Fix race when starting dbus services (LP: #1896614)
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=373cb6ccd6978a7112bbfd7e5cf4f703a9f8448e

  [ Dan Streetman ]
  * d/t/*,
d/p/lp1892358/0001-test-increase-qemu-timeout-for-TEST-08-and-TEST-09.patch,
d/p/lp1892358/0002-test-increase-timeout-for-TEST-17-UDEV-WANTS.patch,
d/p/lp1892358/0003-test-increase-qemu-timeout-for-TEST-18-and-TEST-19.patch:
- Increase QEMU_TIMEOUT on 'upstream' autopkgtest tests
- Pull latest tests from newer releases to fix false negatives
- Blacklist flaky 'upstream' TEST-03
  (LP: #1892358)
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9fd8391c2499e163515b629a8ca5790898fc599d
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d1756b3e1c3e625ed7162cff4909e7a29c315051
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=37f8d73516a84e85e4057d6a92204b4a174af718
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=229ed2076eb773efc548035262b8b8009bf89207
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f2d7b1f952667316cc07a4b3c5010e66ace07a90
  
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=659befe61bbfeb7afc9efa24458c9745412d7c6d

 -- Victor Manuel Tapia King   Wed, 07 Oct
2020 16:30:03 -0400

** Changed in: systemd (Ubuntu Bionic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1830746

Title:
  memlock setting in systemd (pid 1) too low for containers (bionic)

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Bionic:
  Fix Released
Status in systemd source package in Cosmic:
  Won't Fix
Status in systemd source package in Disco:
  Won't Fix
Status in systemd source package in Eoan:
  Fix Released
Status in systemd source package in Focal:
  Fix Released

Bug description:
  [Impact]
  * Since systemd commit fb3ae275cb ("main: bump RLIMIT_NOFILE for the root 
user substantially") [https://github.com/systemd/systemd/commit/fb3ae275cb], 
which is present in Bionic, the memlock ulimit value was bumped to 16M. It's an 
adjustable limit, but the default (in previous Ubuntu releases/systemd 
versions) was really small.
  * Although bumping this value was a good thing, 16M is not enough and we can 
see failures on mlock'ed allocations on Bionic, like the one hereby reported by 
Kees or the recent introduced cryptsetup build failures (due to PPA builder 
updates to Bionic) - see https://bugs.launchpad.net/bugs//1891473.

  * It's especially harmful in containers to have such "small" limit, so
  we are hereby SRUing a more recent bump from upstream systemd, in the
  form of commit 91cfdd8d29 ("core: bump mlock ulimit to 64Mb")
  [https://github.com/systemd/systemd/commit/91cfdd8d29]. Latest Ubuntu
  releases, like Focal and subsequent ones, already include this patch
  so effectively we're putting Bionic on-par with newer releases.

  * A discussion about this topic (leading to this SRU) is present in
  ubuntu-devel ML: https://lists.ubuntu.com/archives/ubuntu-
  devel/2020-September/041159.html.

  [Test Case]
  * The straightforward test is to just look "ulimit -l" and "ulimit -Hl" in a 
current Bionic system, and then install an updated version with the hereby 
proposed SRU to see such limit bump from 16M to 64M (after a reboot) - a 
version containing this fix is available at my PPA as of 2020-09-10 [0] (likely 
to be deleted in next month or so).

  * A more interesting test is to run a Focal container in a current
  Bionic system and try to build the cryptsetup package - it'll fail in
  some tests. After updating the host (Bionic) systemd to include the
  mlock bump patch, the build succeeds in the Focal container.

  [Regression Potential]
  * Since it's a simple bump and it makes Bionic behave like Focal, I don't 
foresee regressions. One potential issue would be if some users rely on the 
lower default limit (16M) and this value is bumped by a package update, but 
that could be circumvented by setting a lower limit in limits.conf. The 
benefits for such bump are likely much bigger than any "regression" caused for 
users relying on such default limit.

  
  [0] 

[Touch-packages] [Bug 1892358] Re: autopkgtest success rate dropped inhibiting proposed migration

2020-11-03 Thread Launchpad Bug Tracker
This bug was fixed in the package systemd - 245.4-4ubuntu3.3

---
systemd (245.4-4ubuntu3.3) focal; urgency=medium

  [ Rafael David Tinoco ]
  * d/p/lp1861941-dont-generate-disk-byuuid-for-bcache-uuid.patch:
Reworded and reintroduced patch to fully explain delta is NOT a fix to
LP: #1861941 if the bcache-tools patch exists, but should be kept anyway
as the change makes sense for a better experience to end user.
(LP: #1861941)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f8f64b3b58a04a83b1c426818b9affc41e0bff6c

  [ Dan Streetman ]
  * d/p/lp1882596-man-fix-some-manvolnum.patch:
- fix some man section references (LP: #1882596)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=3959ec95eff78d38ec4409807f151572afe83fe9
  * d/p/lp1895418-correct-resolved-conf-cache-default.patch:
- fix resolved.conf default Cache= value (LP: #1895418)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=ebe274a2b01658ee39b372d7033c35209510b028
  * d/p/lp1897744-resolve-enable-RES_TRUSTAD-towards-the-127.0.0.53-st.patch:
- add resolv.conf 'trust-ad' option (LP: #1897744)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f6acc8c620b80adab7b048352d85e722b5ba8214
  * d/t/*:
- Update tests to fix false negatives (LP: #1892358)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=cee6c31a6caec7888270c9fa8757105ab950ed0c

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a1c1a2bb0ff27faf84fe94583631dfd0f1f4ed8f

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9417ce996766c133c2a33d4102ce1494f3166774

 -- Dan Streetman   Thu, 08 Oct 2020 16:14:56
-0400

** Changed in: systemd (Ubuntu Focal)
   Status: Fix Committed => Fix Released

** Changed in: systemd (Ubuntu Bionic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1892358

Title:
  autopkgtest success rate dropped inhibiting proposed migration

Status in build-essential package in Ubuntu:
  Invalid
Status in glib2.0 package in Ubuntu:
  Invalid
Status in iputils package in Ubuntu:
  Invalid
Status in kbd package in Ubuntu:
  Invalid
Status in linux-meta package in Ubuntu:
  Invalid
Status in ntpsec package in Ubuntu:
  Invalid
Status in qemu package in Ubuntu:
  Invalid
Status in systemd package in Ubuntu:
  Fix Released
Status in util-linux package in Ubuntu:
  Invalid
Status in linux-meta source package in Bionic:
  New
Status in systemd source package in Bionic:
  Fix Released
Status in build-essential source package in Focal:
  Confirmed
Status in linux-meta source package in Focal:
  New
Status in qemu source package in Focal:
  Confirmed
Status in systemd source package in Focal:
  Fix Released
Status in util-linux source package in Focal:
  Confirmed

Bug description:
  [impact]

  autopkgtests are failing/flaky and prevent other packages from
  migrating to -updates

  [test case]

  check autopkgtest history

  [regression potential]

  in regard to the changed test cases, any regression would likely
  result in either an incorrectly passed test, or an incorrectly failed
  test.

  [scope]

  for systemd, this is needed for x, b, and f.

  tests in g appear to be mostly stable, but I've opened MR (linked from
  this bug) to update the tests there as well.

  i don't plan to update x, as it's reaching ESM in ~6 months, and
  backporting the test fixes is more work than just a simple code copy,
  since there are additional differences/changes needed in the older
  version of systemd (and python3). the failing/flaky tests in x have
  been like that forever, and people have just retried them; we can keep
  retrying them until x moves into ESM next year.

  [original description]

  Hi,
  we had such cases in the past like bug 1817721 for bionic and maybe bug 
1892130 is about the same as well. There were more but I didn't want to search 
for all of them - what I checked is that there are no open ones clearly 
pointing out the recent further drop in already flaky subtests.

  In particular the tests "tests-in-lxd" and "systemd-fsckd" were known
  to be flaky before, but got even worse.

  Here stats of the last 40 runs, it might be a coincidences that this
  is after 246-2ubuntu1 landed. Could as well be any other change

  groovy
    amd64
  tests-in-lxd   (F 42% S  0% B 10% => P 45%/) 
BFFFBFF.B.F.F...FBF
  build-login(F  0% S  0% B 10% => P 87%/) 
B...B...BB.
  unit-config(F  0% S  0% B 10% => P 87%/) 
B...B...BB.
  networkd-testpy(F  0% S  0% B 10% => P 87%/) 

[Touch-packages] [Bug 1861941] Re: bcache by-uuid links disappear after mounting bcache0

2020-11-03 Thread Launchpad Bug Tracker
This bug was fixed in the package systemd - 245.4-4ubuntu3.3

---
systemd (245.4-4ubuntu3.3) focal; urgency=medium

  [ Rafael David Tinoco ]
  * d/p/lp1861941-dont-generate-disk-byuuid-for-bcache-uuid.patch:
Reworded and reintroduced patch to fully explain delta is NOT a fix to
LP: #1861941 if the bcache-tools patch exists, but should be kept anyway
as the change makes sense for a better experience to end user.
(LP: #1861941)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f8f64b3b58a04a83b1c426818b9affc41e0bff6c

  [ Dan Streetman ]
  * d/p/lp1882596-man-fix-some-manvolnum.patch:
- fix some man section references (LP: #1882596)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=3959ec95eff78d38ec4409807f151572afe83fe9
  * d/p/lp1895418-correct-resolved-conf-cache-default.patch:
- fix resolved.conf default Cache= value (LP: #1895418)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=ebe274a2b01658ee39b372d7033c35209510b028
  * d/p/lp1897744-resolve-enable-RES_TRUSTAD-towards-the-127.0.0.53-st.patch:
- add resolv.conf 'trust-ad' option (LP: #1897744)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f6acc8c620b80adab7b048352d85e722b5ba8214
  * d/t/*:
- Update tests to fix false negatives (LP: #1892358)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=cee6c31a6caec7888270c9fa8757105ab950ed0c

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a1c1a2bb0ff27faf84fe94583631dfd0f1f4ed8f

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9417ce996766c133c2a33d4102ce1494f3166774

 -- Dan Streetman   Thu, 08 Oct 2020 16:14:56
-0400

** Changed in: systemd (Ubuntu Focal)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1861941

Title:
  bcache by-uuid links disappear after mounting bcache0

Status in bcache-tools package in Ubuntu:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in systemd package in Ubuntu:
  Fix Released
Status in bcache-tools source package in Bionic:
  Fix Released
Status in systemd source package in Bionic:
  Won't Fix
Status in bcache-tools source package in Focal:
  Fix Released
Status in systemd source package in Focal:
  Fix Released

Bug description:
  SRU TEAM: The last 2 commits show a summary for the merges/changes
  I added some specific (to Bionic) notes in the template.
  Thanks!

  [Impact]

   * bcache-tools udev created symlinks might disappear when other udev
  events are processed for the same devices.

   * after mkfs.XXX in /dev/bcacheY you might face a condition where
  /dev/bcache/by-{uuid,label}/zzz symlinks are gone.

   * /dev/bcache/by-{uuid,label}/ symlinks are important so bcache
  devices can be addressed by their UUIDs and not the ordering they were
  assembled (MAAS depends on this feature, for example).

   * it was also discussed in this bug that systemd-udev should *not*
  populate /dev/disk/by-uuid/ with symlinks of disks that were bcache
  backing devices. this was turned into a discussion whether blkid
  should report those or not, and this discussion "died" after sometime.
  This last item is what the systemd update is all about: to disallow
  /dev/disk/by-XXX/ creation for bcache backing devices (a simple
  change that will reduce end users confusion).

  [Test Case]

   * The reproducer script is here:

     https://paste.ubuntu.com/p/37KGy2Smnp/

   * Bionic can't reproduce the issue with the 18.04 kernel, nor with
  the HWE kernel. Nevertheless, it is preferable that Bionic also do the
  same thing: to read bcache superblock and feed environment for
  /dev/bcache/by-{uuid,label} symlinks creation.

  specifically for the verification for systemd, the above script can be
  used, and then check that the bcache uuid symlink isn't present at
  /dev/disk/by-uuid; for example, after running the above reproducer
  script:

  root@lp1861941-f:~# ls -l /dev/bcache/by-uuid/
  total 0
  lrwxrwxrwx 1 root root 13 Nov  2 17:16 651c5532-0a15-4d56-acdf-9c8b2bb559f1 
-> ../../bcache0
  root@lp1861941-f:~# ls -l /dev/disk/by-uuid/$(ls /dev/bcache/by-uuid/)
  lrwxrwxrwx 1 root root 9 Nov  2 17:16 
/dev/disk/by-uuid/651c5532-0a15-4d56-acdf-9c8b2bb559f1 -> ../../vdc

  
  [Regression Potential]

   * We are not depending on bcache device udev events any more when
  creating the /dev/bcache/by-{uuid,label}/ symlinks. Instead, we are
  depending on a wrapper script that heads bcache device superblock. If
  there is a bug in this wrapper the symlinks wouldn't work.

   * Previously we were thinking in asking the kernel team to remove the
  bcache udev event delta script they've done for previous case (LP:
  #1729145). It 

[Touch-packages] [Bug 1830746] Update Released

2020-11-03 Thread Chris Halse Rogers
The verification of the Stable Release Update for systemd has completed
successfully and the package is now being released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1830746

Title:
  memlock setting in systemd (pid 1) too low for containers (bionic)

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Bionic:
  Fix Released
Status in systemd source package in Cosmic:
  Won't Fix
Status in systemd source package in Disco:
  Won't Fix
Status in systemd source package in Eoan:
  Fix Released
Status in systemd source package in Focal:
  Fix Released

Bug description:
  [Impact]
  * Since systemd commit fb3ae275cb ("main: bump RLIMIT_NOFILE for the root 
user substantially") [https://github.com/systemd/systemd/commit/fb3ae275cb], 
which is present in Bionic, the memlock ulimit value was bumped to 16M. It's an 
adjustable limit, but the default (in previous Ubuntu releases/systemd 
versions) was really small.
  * Although bumping this value was a good thing, 16M is not enough and we can 
see failures on mlock'ed allocations on Bionic, like the one hereby reported by 
Kees or the recent introduced cryptsetup build failures (due to PPA builder 
updates to Bionic) - see https://bugs.launchpad.net/bugs//1891473.

  * It's especially harmful in containers to have such "small" limit, so
  we are hereby SRUing a more recent bump from upstream systemd, in the
  form of commit 91cfdd8d29 ("core: bump mlock ulimit to 64Mb")
  [https://github.com/systemd/systemd/commit/91cfdd8d29]. Latest Ubuntu
  releases, like Focal and subsequent ones, already include this patch
  so effectively we're putting Bionic on-par with newer releases.

  * A discussion about this topic (leading to this SRU) is present in
  ubuntu-devel ML: https://lists.ubuntu.com/archives/ubuntu-
  devel/2020-September/041159.html.

  [Test Case]
  * The straightforward test is to just look "ulimit -l" and "ulimit -Hl" in a 
current Bionic system, and then install an updated version with the hereby 
proposed SRU to see such limit bump from 16M to 64M (after a reboot) - a 
version containing this fix is available at my PPA as of 2020-09-10 [0] (likely 
to be deleted in next month or so).

  * A more interesting test is to run a Focal container in a current
  Bionic system and try to build the cryptsetup package - it'll fail in
  some tests. After updating the host (Bionic) systemd to include the
  mlock bump patch, the build succeeds in the Focal container.

  [Regression Potential]
  * Since it's a simple bump and it makes Bionic behave like Focal, I don't 
foresee regressions. One potential issue would be if some users rely on the 
lower default limit (16M) and this value is bumped by a package update, but 
that could be circumvented by setting a lower limit in limits.conf. The 
benefits for such bump are likely much bigger than any "regression" caused for 
users relying on such default limit.

  
  [0] https://launchpad.net/~gpiccoli/+archive/ubuntu/test1830746

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1830746/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1895418] Update Released

2020-11-03 Thread Chris Halse Rogers
The verification of the Stable Release Update for systemd has completed
successfully and the package is now being released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1895418

Title:
  systemd-resolved default config for Caching is still "yes"

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Focal:
  Fix Released
Status in systemd source package in Groovy:
  Fix Released

Bug description:
  [impact]

  /etc/systemd/resolved.conf file indicates the default value for
  'Cache=' is 'yes', but the actual default is 'no-negative'

  [test case]

  $ grep Cache /etc/systemd/resolved.conf
  #Cache=yes

  With the version of the package from -proposed it'll be "#Cache=no-
  negative".

  [regression potential]

  any regression would likely result in a mismatch between the commented
  default value of the Cache parameter and the actual build-time default
  value, or possibly a problem while systemd-resolved is parsing the
  resolved.conf file.

  [scope]

  this is needed only in focal.

  this was changed already in groovy as indicated in comment 1.

  bionic and earlier still use 'yes' as the default value of Cache=,
  which matches the resolved.conf file.

  [original description]

  Back in December, the default for systemd-resolved caching in Ubuntu
  systemd was changed to "no-negative" from the upstream default "yes"
  [0]

  In this change, the default value in the resolved.conf file was
  missed. As the defaults in this file are commented, the effective
  default is still "no-negative", however when viewing the config file,
  the commented default "yes" is at odds with the man page
  resolved.conf(5), which correctly states the default as "no-negative".

  This was an issue for me as I set DNSSEC to "yes", and expected
  Caching to also be "yes". Running DNSSEC with the default "no-
  negative" Caching is detrimental to performance resolving unsigned
  zones, as the non-existence of DNSSEC RRs must be looked up every
  time.

  The issue with the intersection of DNSSEC and Caching is for upstream,
  but the least that needs to be done here is updating the resolved.conf
  template with "Caching=no-negative" to match the man page and
  behaviour, and perhaps even adding a note to the "DNSSEC=" section of
  resolved.conf(5) that Caching should be enabled. Now that I'm looking
  at that man page, the default for DNSSEC is also listed as "allow-
  downgrade", whereas the default for Ubuntu is "no".

  [0] https://git.launchpad.net/~ubuntu-core-
  
dev/ubuntu/+source/systemd/commit/?id=b42658843a9496d6b6bb68ac159f2a9f0a8ba9db
  =ubuntu-focal

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1895418/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1882596] Re: systemd.unit(5) incorrectly refers to systemd.syntax(5)

2020-11-03 Thread Launchpad Bug Tracker
This bug was fixed in the package systemd - 245.4-4ubuntu3.3

---
systemd (245.4-4ubuntu3.3) focal; urgency=medium

  [ Rafael David Tinoco ]
  * d/p/lp1861941-dont-generate-disk-byuuid-for-bcache-uuid.patch:
Reworded and reintroduced patch to fully explain delta is NOT a fix to
LP: #1861941 if the bcache-tools patch exists, but should be kept anyway
as the change makes sense for a better experience to end user.
(LP: #1861941)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f8f64b3b58a04a83b1c426818b9affc41e0bff6c

  [ Dan Streetman ]
  * d/p/lp1882596-man-fix-some-manvolnum.patch:
- fix some man section references (LP: #1882596)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=3959ec95eff78d38ec4409807f151572afe83fe9
  * d/p/lp1895418-correct-resolved-conf-cache-default.patch:
- fix resolved.conf default Cache= value (LP: #1895418)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=ebe274a2b01658ee39b372d7033c35209510b028
  * d/p/lp1897744-resolve-enable-RES_TRUSTAD-towards-the-127.0.0.53-st.patch:
- add resolv.conf 'trust-ad' option (LP: #1897744)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f6acc8c620b80adab7b048352d85e722b5ba8214
  * d/t/*:
- Update tests to fix false negatives (LP: #1892358)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=cee6c31a6caec7888270c9fa8757105ab950ed0c

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a1c1a2bb0ff27faf84fe94583631dfd0f1f4ed8f

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9417ce996766c133c2a33d4102ce1494f3166774

 -- Dan Streetman   Thu, 08 Oct 2020 16:14:56
-0400

** Changed in: systemd (Ubuntu Focal)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1882596

Title:
  systemd.unit(5)  incorrectly refers to systemd.syntax(5)

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Focal:
  Fix Released
Status in systemd source package in Groovy:
  Fix Released

Bug description:
  [impact]

  some systemd man pages refer to the wrong man section for some
  references

  [test case]

  e.g.

  $ man systemd.network | grep systemd.syntax
 A plain ini-style text file that encodes network configuration for 
matching network interfaces, used by systemd-networkd(8). See systemd.syntax(5) 
for a general description of the syntax.

  $ man 5 systemd.syntax
  No manual entry for systemd.syntax in section 5

  [regression potential]

  any regression would possibly cause confusion by referencing the wrong
  man section, or possibly cause a build failure, or problem with
  various man pages for systemd

  [scope]

  this is needed for f/g

  there is no systemd.syntax manpage in b or earlier

  [original description]

  In Ubuntu 20.04 LTS there is no systemd.syntax(5) it is actually
  systemd.syntax(7).

  "See systemd.syntax(5) for a general description of the syntax."

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1882596/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1895418] Re: systemd-resolved default config for Caching is still "yes"

2020-11-03 Thread Launchpad Bug Tracker
This bug was fixed in the package systemd - 245.4-4ubuntu3.3

---
systemd (245.4-4ubuntu3.3) focal; urgency=medium

  [ Rafael David Tinoco ]
  * d/p/lp1861941-dont-generate-disk-byuuid-for-bcache-uuid.patch:
Reworded and reintroduced patch to fully explain delta is NOT a fix to
LP: #1861941 if the bcache-tools patch exists, but should be kept anyway
as the change makes sense for a better experience to end user.
(LP: #1861941)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f8f64b3b58a04a83b1c426818b9affc41e0bff6c

  [ Dan Streetman ]
  * d/p/lp1882596-man-fix-some-manvolnum.patch:
- fix some man section references (LP: #1882596)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=3959ec95eff78d38ec4409807f151572afe83fe9
  * d/p/lp1895418-correct-resolved-conf-cache-default.patch:
- fix resolved.conf default Cache= value (LP: #1895418)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=ebe274a2b01658ee39b372d7033c35209510b028
  * d/p/lp1897744-resolve-enable-RES_TRUSTAD-towards-the-127.0.0.53-st.patch:
- add resolv.conf 'trust-ad' option (LP: #1897744)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f6acc8c620b80adab7b048352d85e722b5ba8214
  * d/t/*:
- Update tests to fix false negatives (LP: #1892358)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=cee6c31a6caec7888270c9fa8757105ab950ed0c

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a1c1a2bb0ff27faf84fe94583631dfd0f1f4ed8f

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9417ce996766c133c2a33d4102ce1494f3166774

 -- Dan Streetman   Thu, 08 Oct 2020 16:14:56
-0400

** Changed in: systemd (Ubuntu Focal)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1895418

Title:
  systemd-resolved default config for Caching is still "yes"

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Focal:
  Fix Released
Status in systemd source package in Groovy:
  Fix Released

Bug description:
  [impact]

  /etc/systemd/resolved.conf file indicates the default value for
  'Cache=' is 'yes', but the actual default is 'no-negative'

  [test case]

  $ grep Cache /etc/systemd/resolved.conf
  #Cache=yes

  With the version of the package from -proposed it'll be "#Cache=no-
  negative".

  [regression potential]

  any regression would likely result in a mismatch between the commented
  default value of the Cache parameter and the actual build-time default
  value, or possibly a problem while systemd-resolved is parsing the
  resolved.conf file.

  [scope]

  this is needed only in focal.

  this was changed already in groovy as indicated in comment 1.

  bionic and earlier still use 'yes' as the default value of Cache=,
  which matches the resolved.conf file.

  [original description]

  Back in December, the default for systemd-resolved caching in Ubuntu
  systemd was changed to "no-negative" from the upstream default "yes"
  [0]

  In this change, the default value in the resolved.conf file was
  missed. As the defaults in this file are commented, the effective
  default is still "no-negative", however when viewing the config file,
  the commented default "yes" is at odds with the man page
  resolved.conf(5), which correctly states the default as "no-negative".

  This was an issue for me as I set DNSSEC to "yes", and expected
  Caching to also be "yes". Running DNSSEC with the default "no-
  negative" Caching is detrimental to performance resolving unsigned
  zones, as the non-existence of DNSSEC RRs must be looked up every
  time.

  The issue with the intersection of DNSSEC and Caching is for upstream,
  but the least that needs to be done here is updating the resolved.conf
  template with "Caching=no-negative" to match the man page and
  behaviour, and perhaps even adding a note to the "DNSSEC=" section of
  resolved.conf(5) that Caching should be enabled. Now that I'm looking
  at that man page, the default for DNSSEC is also listed as "allow-
  downgrade", whereas the default for Ubuntu is "no".

  [0] https://git.launchpad.net/~ubuntu-core-
  
dev/ubuntu/+source/systemd/commit/?id=b42658843a9496d6b6bb68ac159f2a9f0a8ba9db
  =ubuntu-focal

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1895418/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1896614] Update Released

2020-11-03 Thread Chris Halse Rogers
The verification of the Stable Release Update for systemd has completed
successfully and the package is now being released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1896614

Title:
  Race condition when starting dbus services

Status in systemd:
  Fix Released
Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Bionic:
  Fix Released

Bug description:
  [impact]

  In certain scenarios, such as high load environments or when
  "systemctl daemon-reload" runs at the same time a dbus service is
  starting (e.g. systemd-logind), systemd is not able to track properly
  when the service has started, keeping the job 'running' forever.

  [test case]

  set up a 1-cpu VM with Bionic, and configure the system with a ssh key
  so the user can ssh to localhost. Then run something like:

  $ while timeout 5 ssh localhost true; do echo 'reloading'; sudo
  systemctl restart systemd-logind & sudo systemctl daemon-reload; done

  if that doesn't work try:

  $ while timeout 5 ssh localhost true; do echo 'reloading'; sudo sh -c
  'systemctl restart systemd-logind & systemctl daemon-reload'; done

  
  once the reproducer exits the while loop, there should be a running job for 
systemd-logind, and any logins attempted after the bug is reproduced should 
also hang waiting for the systemd-logind job to complete, e.g.:

  ubuntu@lp1896614-b:~$ systemctl list-jobs
  JOB UNIT   TYPE  STATE
  525 systemd-logind.service start running
  669 session-6.scopestart waiting
  664 session-5.scopestart waiting

  3 jobs listed.

  [regression potential]

  any regression would likely involve services that are Type=dbus
  failing to complete starting. as with any systemd change, regressions
  could also involve assertion failures in systemd which causes it to
  exit.

  [scope]

  this is needed only for bionic.

  this is fixed upstream with commit
  a5a8776ae5e4244b7f5acb2a1bfbe6e0b4d8a870 which is including starting
  in v243, so it is included already in focal and later.

  (per upstream bug) this was introduced by upstream commit
  75152a4d6aedbfd3ee8b2d5782b9edf27407622a which was included starting
  in v237, so this bug is not present in xenial or earlier.

  [original description]

  In certain scenarios, such as high load environments or when
  "systemctl daemon-reload" runs at the same time a dbus service is
  starting (e.g. systemd-logind), systemd is not able to track properly
  when the service has started, keeping the job 'running' forever.

  The issue appears when systemd runs the "AddMatch" dbus method call to
  track the service's "NameOwnerChange" once it has already ran. A
  working instance would look like this:

  https://pastebin.ubuntu.com/p/868J6WBRQx/

  A failing instance would be:

  https://pastebin.ubuntu.com/p/HhJZ4p8dT5/

  I've been able to reproduce the issue on Bionic (237-3ubuntu10.42)
  running:

  sudo systemctl daemon-reload & sudo systemctl restart systemd-logind

To manage notifications about this bug go to:
https://bugs.launchpad.net/systemd/+bug/1896614/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1882596] Update Released

2020-11-03 Thread Chris Halse Rogers
The verification of the Stable Release Update for systemd has completed
successfully and the package is now being released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1882596

Title:
  systemd.unit(5)  incorrectly refers to systemd.syntax(5)

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Focal:
  Fix Released
Status in systemd source package in Groovy:
  Fix Released

Bug description:
  [impact]

  some systemd man pages refer to the wrong man section for some
  references

  [test case]

  e.g.

  $ man systemd.network | grep systemd.syntax
 A plain ini-style text file that encodes network configuration for 
matching network interfaces, used by systemd-networkd(8). See systemd.syntax(5) 
for a general description of the syntax.

  $ man 5 systemd.syntax
  No manual entry for systemd.syntax in section 5

  [regression potential]

  any regression would possibly cause confusion by referencing the wrong
  man section, or possibly cause a build failure, or problem with
  various man pages for systemd

  [scope]

  this is needed for f/g

  there is no systemd.syntax manpage in b or earlier

  [original description]

  In Ubuntu 20.04 LTS there is no systemd.syntax(5) it is actually
  systemd.syntax(7).

  "See systemd.syntax(5) for a general description of the syntax."

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1882596/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1892358] Update Released

2020-11-03 Thread Chris Halse Rogers
The verification of the Stable Release Update for systemd has completed
successfully and the package is now being released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1892358

Title:
  autopkgtest success rate dropped inhibiting proposed migration

Status in build-essential package in Ubuntu:
  Invalid
Status in glib2.0 package in Ubuntu:
  Invalid
Status in iputils package in Ubuntu:
  Invalid
Status in kbd package in Ubuntu:
  Invalid
Status in linux-meta package in Ubuntu:
  Invalid
Status in ntpsec package in Ubuntu:
  Invalid
Status in qemu package in Ubuntu:
  Invalid
Status in systemd package in Ubuntu:
  Fix Released
Status in util-linux package in Ubuntu:
  Invalid
Status in linux-meta source package in Bionic:
  New
Status in systemd source package in Bionic:
  Fix Released
Status in build-essential source package in Focal:
  Confirmed
Status in linux-meta source package in Focal:
  New
Status in qemu source package in Focal:
  Confirmed
Status in systemd source package in Focal:
  Fix Released
Status in util-linux source package in Focal:
  Confirmed

Bug description:
  [impact]

  autopkgtests are failing/flaky and prevent other packages from
  migrating to -updates

  [test case]

  check autopkgtest history

  [regression potential]

  in regard to the changed test cases, any regression would likely
  result in either an incorrectly passed test, or an incorrectly failed
  test.

  [scope]

  for systemd, this is needed for x, b, and f.

  tests in g appear to be mostly stable, but I've opened MR (linked from
  this bug) to update the tests there as well.

  i don't plan to update x, as it's reaching ESM in ~6 months, and
  backporting the test fixes is more work than just a simple code copy,
  since there are additional differences/changes needed in the older
  version of systemd (and python3). the failing/flaky tests in x have
  been like that forever, and people have just retried them; we can keep
  retrying them until x moves into ESM next year.

  [original description]

  Hi,
  we had such cases in the past like bug 1817721 for bionic and maybe bug 
1892130 is about the same as well. There were more but I didn't want to search 
for all of them - what I checked is that there are no open ones clearly 
pointing out the recent further drop in already flaky subtests.

  In particular the tests "tests-in-lxd" and "systemd-fsckd" were known
  to be flaky before, but got even worse.

  Here stats of the last 40 runs, it might be a coincidences that this
  is after 246-2ubuntu1 landed. Could as well be any other change

  groovy
    amd64
  tests-in-lxd   (F 42% S  0% B 10% => P 45%/) 
BFFFBFF.B.F.F...FBF
  build-login(F  0% S  0% B 10% => P 87%/) 
B...B...BB.
  unit-config(F  0% S  0% B 10% => P 87%/) 
B...B...BB.
  networkd-testpy(F  0% S  0% B 10% => P 87%/) 
B...B...BB.
  boot-and-services  (F  0% S  0% B 10% => P 87%/) 
B...B...BB.
  boot-smoke (F  0% S  0% B 10% => P 87%/) 
B...B...BB.
  logind (F  0% S  0% B 10% => P 87%/) 
B...B...BB.
  storage(F  0% S  0% B 10% => P 87%/) 
B...B...BB.
  upstream   (F 35% S  0% B 10% => P 52%/) 
..FFB.FFF.FFBFF.B.F.F..FFBF
  udev   (F  0% S  0% B 10% => P 87%/) 
B...B...BB.
  systemd-fsckd  (F 37% S  0% B 10% => P 50%/) 
BFFFB.FF...FB.F..B.
  root-unittests (F  0% S  0% B 10% => P 87%/) 
B...B...BB.
    ppc64el
  tests-in-lxd   (F 25% S  0% B  0% => P 75%/) 
FFFFF.F.
  systemd-fsckd  (F 35% S  0% B  0% => P 65%/) 
FFF...FFFFF.F..F
  root-unittests (F  2% S  0% B  0% => P 97%/) 
..F.
    s390x
  tests-in-lxd   (F 52% S  0% B  0% => P 47%/) 
FFF.FFF.FF....F.
  timedated  (F  2% S  0% B  0% => P 97%/) 
...F
  upstream   (F 17% S  0% B  0% => P 82%/) 
.F..F.F.FFF...F.
  systemd-fsckd  (F 

[Touch-packages] [Bug 1897744] Re: VerifyHostKeyDNS not working due to missing trust-ad flag

2020-11-03 Thread Launchpad Bug Tracker
This bug was fixed in the package systemd - 245.4-4ubuntu3.3

---
systemd (245.4-4ubuntu3.3) focal; urgency=medium

  [ Rafael David Tinoco ]
  * d/p/lp1861941-dont-generate-disk-byuuid-for-bcache-uuid.patch:
Reworded and reintroduced patch to fully explain delta is NOT a fix to
LP: #1861941 if the bcache-tools patch exists, but should be kept anyway
as the change makes sense for a better experience to end user.
(LP: #1861941)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f8f64b3b58a04a83b1c426818b9affc41e0bff6c

  [ Dan Streetman ]
  * d/p/lp1882596-man-fix-some-manvolnum.patch:
- fix some man section references (LP: #1882596)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=3959ec95eff78d38ec4409807f151572afe83fe9
  * d/p/lp1895418-correct-resolved-conf-cache-default.patch:
- fix resolved.conf default Cache= value (LP: #1895418)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=ebe274a2b01658ee39b372d7033c35209510b028
  * d/p/lp1897744-resolve-enable-RES_TRUSTAD-towards-the-127.0.0.53-st.patch:
- add resolv.conf 'trust-ad' option (LP: #1897744)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f6acc8c620b80adab7b048352d85e722b5ba8214
  * d/t/*:
- Update tests to fix false negatives (LP: #1892358)

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=cee6c31a6caec7888270c9fa8757105ab950ed0c

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a1c1a2bb0ff27faf84fe94583631dfd0f1f4ed8f

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9417ce996766c133c2a33d4102ce1494f3166774

 -- Dan Streetman   Thu, 08 Oct 2020 16:14:56
-0400

** Changed in: systemd (Ubuntu Focal)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1897744

Title:
  VerifyHostKeyDNS not working due to missing trust-ad flag

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Focal:
  Fix Released

Bug description:
  [impact]

  without trust-ad resolv.conf option, glibc will strip AD from systemd-
  resolved responses. one thing this will prevent working is ssh
  VerifyHostKeyDNS

  [test case]

  see
  https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1898590/comments/7

  [regression potential]

  regressions would likely involve DNS lookup failures, probably if
  DNSSEC is enabled but possibly even without, and likely when the
  application requesting the dns lookup processes the response AD.

  [scope]

  this is needed only in focal.

  glibc first stripped the AD in version 2.31, so this is not needed in
  bionic or earlier.

  this was added upstream in commit a742f9828ea which was included in
  v246, so this is fixed already in groovy.

  [original description]

  Hi,

  1)
  Description:  Ubuntu 20.04.1 LTS
  Release:  20.04

  2)
  systemd:245.4-4ubuntu3.2

  3)
  I set VerifyHostKeyDNS to YES and hosts are automatically verified via sshfp.

  4)
  I still get the security question
  Matching host key fingerprint found in DNS.
  Are you sure you want to continue connecting (yes/no/[fingerprint])?

  The issue is known and fixed in systemd v246.
  https://github.com/systemd/systemd/pull/16072

  Best regards
  Daniel

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1897744/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1897744] Update Released

2020-11-03 Thread Chris Halse Rogers
The verification of the Stable Release Update for systemd has completed
successfully and the package is now being released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1897744

Title:
  VerifyHostKeyDNS not working due to missing trust-ad flag

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Focal:
  Fix Released

Bug description:
  [impact]

  without trust-ad resolv.conf option, glibc will strip AD from systemd-
  resolved responses. one thing this will prevent working is ssh
  VerifyHostKeyDNS

  [test case]

  see
  https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1898590/comments/7

  [regression potential]

  regressions would likely involve DNS lookup failures, probably if
  DNSSEC is enabled but possibly even without, and likely when the
  application requesting the dns lookup processes the response AD.

  [scope]

  this is needed only in focal.

  glibc first stripped the AD in version 2.31, so this is not needed in
  bionic or earlier.

  this was added upstream in commit a742f9828ea which was included in
  v246, so this is fixed already in groovy.

  [original description]

  Hi,

  1)
  Description:  Ubuntu 20.04.1 LTS
  Release:  20.04

  2)
  systemd:245.4-4ubuntu3.2

  3)
  I set VerifyHostKeyDNS to YES and hosts are automatically verified via sshfp.

  4)
  I still get the security question
  Matching host key fingerprint found in DNS.
  Are you sure you want to continue connecting (yes/no/[fingerprint])?

  The issue is known and fixed in systemd v246.
  https://github.com/systemd/systemd/pull/16072

  Best regards
  Daniel

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1897744/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902760] Re: Please merge linker bugfix into Ubuntu 20.04 LTS

2020-11-03 Thread Paride Legovini
** Bug watch added: Sourceware.org Bugzilla #26262
   https://sourceware.org/bugzilla/show_bug.cgi?id=26262

** Also affects: binutils via
   https://sourceware.org/bugzilla/show_bug.cgi?id=26262
   Importance: Unknown
   Status: Unknown

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1902760

Title:
  Please merge linker bugfix into Ubuntu 20.04 LTS

Status in binutils:
  Unknown
Status in binutils package in Ubuntu:
  New

Bug description:
  Binutils bug https://sourceware.org/bugzilla/show_bug.cgi?id=26262
  fixes a problem that Intel Fortran is running into when using the -ipo
  option to request link time optimization. Please merge the fix into
  Ubuntu 20.04 LTS

To manage notifications about this bug go to:
https://bugs.launchpad.net/binutils/+bug/1902760/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1897965] Re: pulseaudio: Failed to load module "module-alsa-card" (No UCM verb is valid for hw:0)

2020-11-03 Thread Gannet
Sebastien Bacher (seb128), which exactly logs do you need? Maybe I could
upload them for you.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1897965

Title:
  pulseaudio: Failed to load module "module-alsa-card" (No UCM verb is
  valid for hw:0)

Status in pulseaudio package in Ubuntu:
  Incomplete

Bug description:
  No sound after login.

  $ LC_ALL=C systemctl --user status pulseaudio.service
  * pulseaudio.service - Sound Service
   Loaded: loaded (/usr/lib/systemd/user/pulseaudio.service; enabled; 
vendor preset: enabled)
   Active: active (running) since Wed 2020-09-30 22:46:51 EEST; 8min ago
  TriggeredBy: * pulseaudio.socket
     Main PID: 1088 (pulseaudio)
   CGroup: /user.slice/user-1000.slice/user@1000.service/pulseaudio.service
   |-1088 /usr/bin/pulseaudio --daemonize=no --log-target=journal
   `-1126 /usr/libexec/pulse/gsettings-helper

  Sep 30 22:46:51 p5q3 systemd[1080]: Starting Sound Service...
  Sep 30 22:46:51 p5q3 pulseaudio[1088]: No UCM verb is valid for hw:0
  Sep 30 22:46:51 p5q3 systemd[1080]: Started Sound Service.
  Sep 30 22:46:52 p5q3 pulseaudio[1088]: Failed to load module 
"module-alsa-card" (argument: "device_id="1" name="pci-_01_00.1" 
card_name="alsa_card.pci-_01_00.1" namereg_fail=false tsched=yes 
fixed_laten>
  Sep 30 22:47:11 p5q3 pulseaudio[1088]: GetManagedObjects() failed: 
org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': 
timed out (service_start_timeout=25000ms)

  Workaround found: 'pulseaudio -k' seems solves the problem, sound
  appears and working well, but some errors still present:

  $ LC_ALL=C systemctl --user status pulseaudio.service
  * pulseaudio.service - Sound Service
   Loaded: loaded (/usr/lib/systemd/user/pulseaudio.service; enabled; 
vendor preset: enabled)
   Active: active (running) since Wed 2020-09-30 22:55:49 EEST; 7min ago
  TriggeredBy: * pulseaudio.socket
     Main PID: 12198 (pulseaudio)
   CGroup: /user.slice/user-1000.slice/user@1000.service/pulseaudio.service
   |-12198 /usr/bin/pulseaudio --daemonize=no --log-target=journal
   `-12212 /usr/libexec/pulse/gsettings-helper

  Sep 30 22:55:49 p5q3 systemd[1080]: Starting Sound Service...
  Sep 30 22:55:49 p5q3 pulseaudio[12198]: No UCM verb is valid for hw:1
  Sep 30 22:55:49 p5q3 pulseaudio[12198]: No UCM verb is valid for hw:0
  Sep 30 22:55:49 p5q3 systemd[1080]: Started Sound Service.
  Sep 30 22:56:14 p5q3 pulseaudio[12198]: GetManagedObjects() failed: 
org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes 
include: the remote application did not send a reply, the message bus security 
policy blocked the reply, the reply timeout expired, or the network connection 
was broken.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.10
  Package: pulseaudio 1:13.99.1-1ubuntu11
  Uname: Linux 5.8.12-050812-generic x86_64
  ApportVersion: 2.20.11-0ubuntu48
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  eugene 1088 F pulseaudio
    eugene 1092 F pipewire-media-
   /dev/snd/controlC1:  eugene 1092 F pipewire-media-
   /dev/snd/seq:eugene 1087 F pipewire
  CasperMD5CheckResult: skip
  CurrentDesktop: KDE
  Date: Wed Sep 30 22:50:58 2020
  InstallationDate: Installed on 2019-04-13 (536 days ago)
  InstallationMedia: Kubuntu 19.04 "Disco Dingo" - Alpha amd64 (20190326.1)
  ProcEnviron:
   LANGUAGE=
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=uk_UA.UTF-8
   SHELL=/bin/bash
  SourcePackage: pulseaudio
  UpgradeStatus: Upgraded to groovy on 2020-09-06 (23 days ago)
  dmi.bios.date: 06/11/2010
  dmi.bios.release: 11.2
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 1102
  dmi.board.asset.tag: To Be Filled By O.E.M.
  dmi.board.name: P5Q3
  dmi.board.vendor: ASUSTeK Computer INC.
  dmi.board.version: Rev 1.xx
  dmi.chassis.asset.tag: Asset-1234567890
  dmi.chassis.type: 3
  dmi.chassis.vendor: Chassis Manufacture
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr1102:bd06/11/2010:br11.2:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5Q3:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: System Product Name
  dmi.product.sku: To Be Filled By O.E.M.
  dmi.product.version: System Version
  dmi.sys.vendor: System manufacturer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1897965/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1901026] Please test proposed package

2020-11-03 Thread Brian Murray
Hello Luis, or anyone else affected,

Accepted gdb into bionic-proposed. The package will build now and be
available at https://launchpad.net/ubuntu/+source/gdb/8.1.1-0ubuntu1 in
a few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested, what testing has been
performed on the package and change the tag from verification-needed-
bionic to verification-done-bionic. If it does not fix the bug for you,
please add a comment stating that, and change the tag to verification-
failed-bionic. In either case, without details of your testing we will
not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gdb in Ubuntu.
https://bugs.launchpad.net/bugs/1901026

Title:
  [GDB] No socket file connection support

Status in gdb package in Ubuntu:
  New
Status in gdb source package in Bionic:
  Fix Committed

Bug description:
  GDB on Ubuntu 18.04 (GNU gdb (Ubuntu 8.1-0ubuntu3.2)
  8.1.0.20180409-git) does not support connecting to a remote target via
  a socket file.

  This is the error we get:

  (gdb) target remote /run/user/1000/at-spi2-QTZBS0/socket
  /run/user/1000/at-spi2-QTZBS0/socket: No such device or address.

  Commit c1168a2f66553cd4730931cf59e3be8378a1a03f enables this in GDB.
  It would be nice to have it backported.

  Here's the commit link: https://sourceware.org/git/?p=binutils-
  gdb.git;a=commit;h=c1168a2f66553cd4730931cf59e3be8378a1a03f

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdb/+bug/1901026/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1901026] Re: [GDB] No socket file connection support

2020-11-03 Thread Brian Murray
It would be better to have a documented test case here, but it seems
pretty straight-forward given the manual changes in the diff.

** Changed in: gdb (Ubuntu Bionic)
   Status: New => Incomplete

** Changed in: gdb (Ubuntu Bionic)
   Status: Incomplete => Fix Committed

** Tags added: verification-needed verification-needed-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gdb in Ubuntu.
https://bugs.launchpad.net/bugs/1901026

Title:
  [GDB] No socket file connection support

Status in gdb package in Ubuntu:
  New
Status in gdb source package in Bionic:
  Fix Committed

Bug description:
  GDB on Ubuntu 18.04 (GNU gdb (Ubuntu 8.1-0ubuntu3.2)
  8.1.0.20180409-git) does not support connecting to a remote target via
  a socket file.

  This is the error we get:

  (gdb) target remote /run/user/1000/at-spi2-QTZBS0/socket
  /run/user/1000/at-spi2-QTZBS0/socket: No such device or address.

  Commit c1168a2f66553cd4730931cf59e3be8378a1a03f enables this in GDB.
  It would be nice to have it backported.

  Here's the commit link: https://sourceware.org/git/?p=binutils-
  gdb.git;a=commit;h=c1168a2f66553cd4730931cf59e3be8378a1a03f

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdb/+bug/1901026/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902225] Re: SRU: update gdb 8.1.1 for 18.04 LTS

2020-11-03 Thread Brian Murray
Hello Matthias, or anyone else affected,

Accepted gdb into bionic-proposed. The package will build now and be
available at https://launchpad.net/ubuntu/+source/gdb/8.1.1-0ubuntu1 in
a few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested, what testing has been
performed on the package and change the tag from verification-needed-
bionic to verification-done-bionic. If it does not fix the bug for you,
please add a comment stating that, and change the tag to verification-
failed-bionic. In either case, without details of your testing we will
not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: gdb (Ubuntu Bionic)
   Status: New => Fix Committed

** Tags added: verification-needed verification-needed-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gdb in Ubuntu.
https://bugs.launchpad.net/bugs/1902225

Title:
  SRU: update gdb 8.1.1 for 18.04 LTS

Status in gdb package in Ubuntu:
  New
Status in gdb source package in Bionic:
  Fix Committed

Bug description:
  gdb 8.1.1 is a minor bug fix release for 8.1. Some of the issues fixed
  in 8.1.1 are already fixed in the branch update in 8.1-0ubuntu3:

   * gdb 8.1.1 release.
  This is a minor corrective release over GDB 8.1, fixing following issues:
  - PR gdb/23028 (inconsistent disassemble of vcvtpd2dq)
  - PR gdb/23053 (Fix -D_GLIBCXX_DEBUG gdb-add-index regression)
  - PR gdb/23127 ([AArch64] GDB cannot be used for debugging software that
uses high Virtual Addresses)
  - PR server/23158 (gdbserver no longer functional on Windows)
  - PR breakpoints/23210 ([8.1/8.2 Regression] Bogus Breakpoint address
adjusted from 0xf7fe7dd3 to 0xf7fe7dd3)
  Already fixed in 8.1-0ubuntu3:
  - PR gdb/22824 (misleading description of new rbreak Python function in
GDB 8.1 NEWS file)
  - PR gdb/22849 (ctrl-c doesn't work in extended-remote)
  - PR gdb/22907 ([Regression] gdbserver doesn't work with filename-only
binaries).
* Allow remote debugging over a Unix local domain socket. LP: #1901026.

  This minor version update fixes four upstream issues (not counting the
  Windows specific issue), plus allows remote debugging over a Unix
  local domain socket., a patch taken from the 8.2 development.

  Validation: The tests run during build time are passing, and the
  remote debugging is checked to be working (no automated test case).

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdb/+bug/1902225/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1891632] Re: The network manager does not check the NM_SETTING_WIRELESS_WAKE_ON_WLAN_IGNORE bit

2020-11-03 Thread Brian Murray
Hello Leon, or anyone else affected,

Accepted network-manager into focal-proposed. The package will build now
and be available at https://launchpad.net/ubuntu/+source/network-
manager/1.22.10-1ubuntu2.2 in a few hours, and then in the -proposed
repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested, what testing has been
performed on the package and change the tag from verification-needed-
focal to verification-done-focal. If it does not fix the bug for you,
please add a comment stating that, and change the tag to verification-
failed-focal. In either case, without details of your testing we will
not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: network-manager (Ubuntu Focal)
   Status: In Progress => Fix Committed

** Tags added: verification-needed verification-needed-focal

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1891632

Title:
  The network manager does not check the
  NM_SETTING_WIRELESS_WAKE_ON_WLAN_IGNORE bit

Status in OEM Priority Project:
  New
Status in OEM Priority Project focal series:
  Invalid
Status in network-manager package in Ubuntu:
  Fix Released
Status in network-manager source package in Focal:
  Fix Committed

Bug description:
  [Impact]

   In some cases, the wow is not configured and the
  NM_SETTING_WIRELESS_WAKE_ON_WLAN_IGNORE is set (for to disable
  management of wake-on-LAN in NetworkManager).

   The network manager only checks the NM_SETTING_WIRELESS_WAKE_ON_WLAN_NONE 
bit.
   But, the NM_SETTING_WIRELESS_WAKE_ON_WLAN_IGNORE does not be check.
   So, the management of wake-on-LAN still is done by NetworkManager.

   The killer 500s Wi-Fi does not want the network-manger to manager the
  wake-on-LAN so the NM_SETTING_WIRELESS_WAKE_ON_WLAN_IGNORE is set.
  (The driver will manager itself.) When the network-manager managers
  the wake-on-LAN, all of the Wi-Fi functions will be lost after the OS
  resumed from suspend.

  [Test Case]

   On a machine with killer 500s Wi-Fi and install the Qualcomm's driver.
   Step 1. Enter suspend (s2idle)
   Setp 2. Resume from suspend

   After resume from suspend, the Wi-Fi function still is normal.

   You can download the kernel and linux-firmware that backport the Qucalcomm's 
dirver fro focal from below link:
   https://launchpad.net/~vicamo/+archive/ubuntu/ppa-1879633

  [Regression Potential]

   * This patch modifies the wake on lan parameters, please test that
  the corresponding feature still works fine with the different
  configuration values.

   1. Magic packet test:
    Set Wake on Wireless to off
    Send magic packet to the system
    Ensure it does not wake up

    Set Wake on Wirless to on
    Send magic packet to the system
    Ensure it does wake up

   2. Wi-Fi function test after resumed from suspend:
    After resume from suspend, the Wi-Fi should work normally.
    Scan APs.
    Connect to an AP.

  [Other Info]

   * platform: add the NM_SETTING_WIRELESS_WAKE_ON_WLAN_IGNORE status
  check (!597) · Merge Requests · NetworkManager / NetworkManager ·
  GitLab -
  
https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/merge_requests/597#note_588639

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1891632/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902446] Re: Not possible to see list of wifi networks

2020-11-03 Thread Vadim Peretokin
The usual gnome environment.

Not much in journalctl:

nov 03 22:59:57 volga audit[9670]: AVC apparmor="DENIED" operation="open" 
profile="snap.hiri.hiri" name="/home/vadi/.netrc" pid=9670 comm="hirimain" 
requested_mask="r" denied_mask="r" fsuid=1000 ouid=1000
nov 03 22:59:57 volga kernel: audit: type=1400 audit(1604440797.544:5054): 
apparmor="DENIED" operation="open" profile="snap.hiri.hiri" 
name="/home/vadi/.netrc" pid=9670 comm="hirimain" requested_mask="r" denied_m>
nov 03 23:00:10 volga kernel: [UFW BLOCK] IN=wlp1s0 OUT= 
MAC=01:00:5e:00:00:01:08:26:97:d0:93:a0:08:00 SRC=192.168.1.1 DST=224.0.0.1 
LEN=32 TOS=0x00 PREC=0xC0 TTL=1 ID=55594 PROTO=2 
nov 03 23:00:42 volga kernel: [UFW BLOCK] IN=wlp1s0 OUT= 
MAC=01:00:5e:00:00:01:08:26:97:d0:93:a2:08:00 SRC=0.0.0.0 DST=224.0.0.1 LEN=36 
TOS=0x00 PREC=0x00 TTL=1 ID=1 PROTO=2 
nov 03 23:00:43 volga kernel: [UFW BLOCK] IN=wlp1s0 OUT= 
MAC=01:00:5e:00:00:fb:92:d1:cf:19:a3:4c:08:00 SRC=192.168.1.226 DST=224.0.0.251 
LEN=32 TOS=0x00 PREC=0xC0 TTL=1 ID=0 DF PROTO=2 
nov 03 23:00:50 volga audit[9649]: AVC apparmor="DENIED" operation="open" 
profile="snap.hiri.hiri" name="/home/vadi/.netrc" pid=9649 comm="BG" 
requested_mask="r" denied_mask="r" fsuid=1000 ouid=1000
nov 03 23:00:50 volga kernel: audit: type=1400 audit(1604440850.353:5055): 
apparmor="DENIED" operation="open" profile="snap.hiri.hiri" 
name="/home/vadi/.netrc" pid=9649 comm="BG" requested_mask="r" denied_mask="r>
nov 03 23:00:50 volga audit[9649]: AVC apparmor="DENIED" operation="open" 
profile="snap.hiri.hiri" name="/home/vadi/.netrc" pid=9649 comm="BG" 
requested_mask="r" denied_mask="r" fsuid=1000 ouid=1000
nov 03 23:00:50 volga kernel: audit: type=1400 audit(1604440850.577:5056): 
apparmor="DENIED" operation="open" profile="snap.hiri.hiri" 
name="/home/vadi/.netrc" pid=9649 comm="BG" requested_mask="r" denied_mask="r>
nov 03 23:00:50 volga audit[9649]: AVC apparmor="DENIED" operation="open" 
profile="snap.hiri.hiri" name="/home/vadi/.netrc" pid=9649 comm="BG" 
requested_mask="r" denied_mask="r" fsuid=1000 ouid=1000
nov 03 23:00:50 volga kernel: audit: type=1400 audit(1604440850.701:5057): 
apparmor="DENIED" operation="open" profile="snap.hiri.hiri" 
name="/home/vadi/.netrc" pid=9649 comm="BG" requested_mask="r" denied_mask="r>
nov 03 23:00:51 volga audit[9649]: AVC apparmor="DENIED" operation="open" 
profile="snap.hiri.hiri" name="/home/vadi/.netrc" pid=9649 comm="Worker" 
requested_mask="r" denied_mask="r" fsuid=1000 ouid=1000
nov 03 23:00:51 volga kernel: audit: type=1400 audit(1604440851.661:5058): 
apparmor="DENIED" operation="open" profile="snap.hiri.hiri" 
name="/home/vadi/.netrc" pid=9649 comm="Worker" requested_mask="r" denied_mas>
nov 03 23:01:11 volga kernel: [UFW BLOCK] IN=wlp1s0 OUT= 
MAC=01:00:5e:00:00:01:08:26:97:d0:93:a0:08:00 SRC=192.168.1.1 DST=224.0.0.1 
LEN=32 TOS=0x00 PREC=0xC0 TTL=1 ID=61275 PROTO=2 
nov 03 23:01:18 volga gnome-shell[3615]: 
../clutter/clutter/clutter-actor.c:10558: The clutter_actor_set_allocation() 
function can only be called from within the implementation of the 
ClutterActor::allocate() vir>
nov 03 23:01:21 volga systemd[2315]: Started Application launched by 
gsd-media-keys.
nov 03 23:01:21 volga systemd[2315]: Started VTE child process 69735 launched 
by x-terminal-emulator process 39586.
nov 03 23:01:21 volga systemd[2315]: 
gnome-launched-x-terminal-emulator-69726.scope: Succeeded.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1902446

Title:
  Not possible to see list of wifi networks

Status in network-manager package in Ubuntu:
  Incomplete

Bug description:
  Using the default 'light' theme, the network listing is impossible to
  read

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: network-manager 1.22.10-1ubuntu2.1
  ProcVersionSignature: Ubuntu 5.4.0-52.57-generic 5.4.65
  Uname: Linux 5.4.0-52-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.10
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Sun Nov  1 19:41:38 2020
  EcryptfsInUse: Yes
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  InstallationDate: Installed on 2017-02-15 (1355 days ago)
  InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 
(20160719)
  SourcePackage: network-manager
  UpgradeStatus: No upgrade log present (probably fresh install)
  nmcli-nm:
   RUNNING  VERSION  STATE  STARTUP  CONNECTIVITY  NETWORKING  WIFI-HW  
WIFI WWAN-HW  WWAN
   running  1.22.10  connected  started  full  enabled enabled  
enabled  enabled  enabled

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1902446/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : 

[Touch-packages] [Bug 1902545] Re: software-properties-gtk error

2020-11-03 Thread Sebastien Bacher
Thank you for taking the time to report this bug and helping to make
Ubuntu better. Unfortunately, we cannot work on this bug because your
description didn't include enough information. You may find it helpful
to read "How to report bugs effectively"
http://www.chiark.greenend.org.uk/~sgtatham/bugs.html. We'd be grateful
if you would then provide a more complete description of the problem.

We have instructions on debugging some types of problems at
http://wiki.ubuntu.com/DebuggingProcedures.

At a minimum, we need:

1. The specific steps or actions you took that caused you to encounter the 
problem.
2. The behavior you expected.
3. The behavior you actually encountered (in as much detail as possible).

Please also ensure that you include the release and flavour of Ubuntu
that you are using.

Thank you!

** Changed in: software-properties (Ubuntu)
   Importance: Undecided => Low

** Changed in: software-properties (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1902545

Title:
  software-properties-gtk error

Status in software-properties package in Ubuntu:
  Incomplete

Bug description:
  ERROR:dbus.proxies:Introspect error on :1.225:/: 
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Message 
recipient disconnected from message bus without replying
  Traceback (most recent call last):
File "/usr/bin/software-properties-gtk", line 100, in 
  app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, 
file=file)
File 
"/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py",
 line 211, in __init__
  self.backend.Reload();
File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 72, in __call__
  return self._proxy_method(*args, **keywords)
File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 141, in __call__
  return self._connection.call_blocking(self._named_service,
File "/usr/lib/python3/dist-packages/dbus/connection.py", line 652, in 
call_blocking
  reply_message = self.send_message_with_reply_and_block(
  dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The 
name :1.225 was not provided by any .service files

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1902545/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902596] Re: VPN doesn't connect automatically

2020-11-03 Thread Sebastien Bacher
Thank you for taking the time to report this bug and helping to make Ubuntu 
better. Please execute the following command only once, as it will 
automatically gather debugging information, in a terminal:
apport-collect 1902596

When reporting bugs in the future please use apport by using 'ubuntu-
bug' and the name of the package affected. You can learn more about this
functionality at https://wiki.ubuntu.com/ReportingBugs.

Could you also add the 'journalctl -b 0' log of a session showing the
issue?

** Changed in: network-manager (Ubuntu)
   Importance: Undecided => Low

** Changed in: network-manager (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1902596

Title:
  VPN doesn't connect automatically

Status in network-manager package in Ubuntu:
  Incomplete

Bug description:
  I have set up my Network Connections manager to automatically connect
  to my VPN.  My VPN is saved with its credentials.  When I first log in
  (newly started, rebooted or woken from sleep/suspend), the VPN doesn't
  connect on its own.

  It sometimes doesn't connect at all, and sometimes it tells me that
  the VPN requires a password.  I haven't noticed a pattern.

  Description:  Ubuntu 20.10
  Release:  20.10

  network-manager:
Installed: 1.26.2-1ubuntu1
Candidate: 1.26.2-1ubuntu1
Version table:
   *** 1.26.2-1ubuntu1 500
  500 http://us.archive.ubuntu.com/ubuntu groovy/main amd64 Packages
  100 /var/lib/dpkg/status

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1902596/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1899262] Re: Broken dbus GetAll message to wpa supplicant interface properties

2020-11-03 Thread Michael Nazzareno Trimarchi
Are you using ubuntu 18.04? or are you using Focal Fossa?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to wpa in Ubuntu.
https://bugs.launchpad.net/bugs/1899262

Title:
  Broken dbus GetAll message to wpa supplicant interface properties

Status in wpa package in Ubuntu:
  New

Bug description:
  dbus-send is able to read the properties of interface using GetAll. Those 
information include interface name, status, encryption method, etc. 
  The regression was introduced when someone try to have the Station attribute 
supported

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/wpa/+bug/1899262/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1899262] Re: Broken dbus GetAll message to wpa supplicant interface properties

2020-11-03 Thread Michael Nazzareno Trimarchi
debdiff show the difference between the 18.04 ubuntu. In the 20.04 wpa
supplicant was bump to newer version so station attribute was added in
the right way

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to wpa in Ubuntu.
https://bugs.launchpad.net/bugs/1899262

Title:
  Broken dbus GetAll message to wpa supplicant interface properties

Status in wpa package in Ubuntu:
  New

Bug description:
  dbus-send is able to read the properties of interface using GetAll. Those 
information include interface name, status, encryption method, etc. 
  The regression was introduced when someone try to have the Station attribute 
supported

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/wpa/+bug/1899262/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902446] Re: Not possible to see list of wifi networks

2020-11-03 Thread Sebastien Bacher
Thank you for your bug report. What desktop environement do you use? Could you 
add your 'journalctl -b 0' after getting the issue?
THe theme frame doesn't seem to be a 'light' one

** Changed in: network-manager (Ubuntu)
   Importance: Undecided => Low

** Changed in: network-manager (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1902446

Title:
  Not possible to see list of wifi networks

Status in network-manager package in Ubuntu:
  Incomplete

Bug description:
  Using the default 'light' theme, the network listing is impossible to
  read

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: network-manager 1.22.10-1ubuntu2.1
  ProcVersionSignature: Ubuntu 5.4.0-52.57-generic 5.4.65
  Uname: Linux 5.4.0-52-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.10
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Sun Nov  1 19:41:38 2020
  EcryptfsInUse: Yes
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  InstallationDate: Installed on 2017-02-15 (1355 days ago)
  InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 
(20160719)
  SourcePackage: network-manager
  UpgradeStatus: No upgrade log present (probably fresh install)
  nmcli-nm:
   RUNNING  VERSION  STATE  STARTUP  CONNECTIVITY  NETWORKING  WIFI-HW  
WIFI WWAN-HW  WWAN
   running  1.22.10  connected  started  full  enabled enabled  
enabled  enabled  enabled

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1902446/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1899262] Re: Broken dbus GetAll message to wpa supplicant interface properties

2020-11-03 Thread Sebastien Bacher
Thanks, I tried d-feet earlier but it gives an accesserror, it works
using sudo though. The call on the interface seems successful here
though so I can't confirm the bug

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to wpa in Ubuntu.
https://bugs.launchpad.net/bugs/1899262

Title:
  Broken dbus GetAll message to wpa supplicant interface properties

Status in wpa package in Ubuntu:
  New

Bug description:
  dbus-send is able to read the properties of interface using GetAll. Those 
information include interface name, status, encryption method, etc. 
  The regression was introduced when someone try to have the Station attribute 
supported

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/wpa/+bug/1899262/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1901922] Re: [Lenovo ThinkPad T14 Gen 1] No sound output device on startup

2020-11-03 Thread Sebastien Bacher
Thank you for your bug report, could you report the issue upstream on
https://gitlab.freedesktop.org/pulseaudio/pulseaudio/-/issues ?

** Changed in: pulseaudio (Ubuntu)
   Importance: Undecided => Low

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1901922

Title:
  [Lenovo ThinkPad T14 Gen 1] No sound output device on startup

Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  After logging in, only a dummy device is available for audio playback
  (resulting in no audible playback). When running "pactl load-module
  module-detect" the sound card shows up, and playback works as
  expected.

  If pulseaudio is restarted with "pulseaudio -k" the playback device
  disappears again. Running the above command get things working again.

  If I change the following section in /etc/pulse/default.pa from:

  ### Automatically load driver modules depending on the hardware available
  .ifexists module-udev-detect.so
  load-module module-udev-detect
  .else
  ### Use the static hardware detection module (for systems that lack udev 
support)
  load-module module-detect
  .endif

  To:

  ### Automatically load driver modules depending on the hardware available
  #.ifexists module-udev-detect.so
  #load-module module-udev-detect
  #.else
  ### Use the static hardware detection module (for systems that lack udev 
support)
  load-module module-detect
  #.endif

  Things start working as they should after running "pulseaudio -k".

  ProblemType: Bug
  DistroRelease: Ubuntu 20.10
  Package: pulseaudio 1:13.99.2-1ubuntu1
  ProcVersionSignature: Ubuntu 5.8.0-26.27-generic 5.8.14
  Uname: Linux 5.8.0-26-generic x86_64
  ApportVersion: 2.20.11-0ubuntu50
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: KDE
  Date: Wed Oct 28 17:21:02 2020
  InstallationDate: Installed on 2020-10-23 (4 days ago)
  InstallationMedia: Kubuntu 20.10 "Groovy Gorilla" - Release amd64 (20201022)
  SourcePackage: pulseaudio
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 08/07/2020
  dmi.bios.release: 1.9
  dmi.bios.vendor: LENOVO
  dmi.bios.version: R1BET40W(1.09 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 20UDCTO1WW
  dmi.board.vendor: LENOVO
  dmi.board.version: Not Defined
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: None
  dmi.ec.firmware.release: 1.9
  dmi.modalias: 
dmi:bvnLENOVO:bvrR1BET40W(1.09):bd08/07/2020:br1.9:efr1.9:svnLENOVO:pn20UDCTO1WW:pvrThinkPadT14Gen1:rvnLENOVO:rn20UDCTO1WW:rvrNotDefined:cvnLENOVO:ct10:cvrNone:
  dmi.product.family: ThinkPad T14 Gen 1
  dmi.product.name: 20UDCTO1WW
  dmi.product.sku: LENOVO_MT_20UD_BU_Think_FM_ThinkPad T14 Gen 1
  dmi.product.version: ThinkPad T14 Gen 1
  dmi.sys.vendor: LENOVO

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1901922/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1897965] Re: pulseaudio: Failed to load module "module-alsa-card" (No UCM verb is valid for hw:0)

2020-11-03 Thread qwe
I don't have any 'pipewire' installed. Sound gradually fades away when
starting any sound (e.g. youtube). Headphones and built-in mic doesn't
work. Ubuntu 20.04.

> LC_ALL=C systemctl --user status pulseaudio.service
* pulseaudio.service - Sound Service
 Loaded: loaded (/usr/lib/systemd/user/pulseaudio.service; enabled; vendor 
preset: enabled)
 Active: active (running) since Tue 2020-11-03 20:36:27 CET; 6min ago
TriggeredBy: * pulseaudio.socket
   Main PID: 23743 (pulseaudio)
 CGroup: /user.slice/user-1000.slice/user@1000.service/pulseaudio.service
 `-23743 /usr/bin/pulseaudio --daemonize=no --log-target=journal

Nov 03 20:36:26 acer systemd[1258]: Starting Sound Service...
Nov 03 20:36:26 acer pulseaudio[23743]: No UCM verb is valid for hw:0
Nov 03 20:36:27 acer systemd[1258]: Started Sound Service.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1897965

Title:
  pulseaudio: Failed to load module "module-alsa-card" (No UCM verb is
  valid for hw:0)

Status in pulseaudio package in Ubuntu:
  Incomplete

Bug description:
  No sound after login.

  $ LC_ALL=C systemctl --user status pulseaudio.service
  * pulseaudio.service - Sound Service
   Loaded: loaded (/usr/lib/systemd/user/pulseaudio.service; enabled; 
vendor preset: enabled)
   Active: active (running) since Wed 2020-09-30 22:46:51 EEST; 8min ago
  TriggeredBy: * pulseaudio.socket
     Main PID: 1088 (pulseaudio)
   CGroup: /user.slice/user-1000.slice/user@1000.service/pulseaudio.service
   |-1088 /usr/bin/pulseaudio --daemonize=no --log-target=journal
   `-1126 /usr/libexec/pulse/gsettings-helper

  Sep 30 22:46:51 p5q3 systemd[1080]: Starting Sound Service...
  Sep 30 22:46:51 p5q3 pulseaudio[1088]: No UCM verb is valid for hw:0
  Sep 30 22:46:51 p5q3 systemd[1080]: Started Sound Service.
  Sep 30 22:46:52 p5q3 pulseaudio[1088]: Failed to load module 
"module-alsa-card" (argument: "device_id="1" name="pci-_01_00.1" 
card_name="alsa_card.pci-_01_00.1" namereg_fail=false tsched=yes 
fixed_laten>
  Sep 30 22:47:11 p5q3 pulseaudio[1088]: GetManagedObjects() failed: 
org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': 
timed out (service_start_timeout=25000ms)

  Workaround found: 'pulseaudio -k' seems solves the problem, sound
  appears and working well, but some errors still present:

  $ LC_ALL=C systemctl --user status pulseaudio.service
  * pulseaudio.service - Sound Service
   Loaded: loaded (/usr/lib/systemd/user/pulseaudio.service; enabled; 
vendor preset: enabled)
   Active: active (running) since Wed 2020-09-30 22:55:49 EEST; 7min ago
  TriggeredBy: * pulseaudio.socket
     Main PID: 12198 (pulseaudio)
   CGroup: /user.slice/user-1000.slice/user@1000.service/pulseaudio.service
   |-12198 /usr/bin/pulseaudio --daemonize=no --log-target=journal
   `-12212 /usr/libexec/pulse/gsettings-helper

  Sep 30 22:55:49 p5q3 systemd[1080]: Starting Sound Service...
  Sep 30 22:55:49 p5q3 pulseaudio[12198]: No UCM verb is valid for hw:1
  Sep 30 22:55:49 p5q3 pulseaudio[12198]: No UCM verb is valid for hw:0
  Sep 30 22:55:49 p5q3 systemd[1080]: Started Sound Service.
  Sep 30 22:56:14 p5q3 pulseaudio[12198]: GetManagedObjects() failed: 
org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes 
include: the remote application did not send a reply, the message bus security 
policy blocked the reply, the reply timeout expired, or the network connection 
was broken.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.10
  Package: pulseaudio 1:13.99.1-1ubuntu11
  Uname: Linux 5.8.12-050812-generic x86_64
  ApportVersion: 2.20.11-0ubuntu48
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  eugene 1088 F pulseaudio
    eugene 1092 F pipewire-media-
   /dev/snd/controlC1:  eugene 1092 F pipewire-media-
   /dev/snd/seq:eugene 1087 F pipewire
  CasperMD5CheckResult: skip
  CurrentDesktop: KDE
  Date: Wed Sep 30 22:50:58 2020
  InstallationDate: Installed on 2019-04-13 (536 days ago)
  InstallationMedia: Kubuntu 19.04 "Disco Dingo" - Alpha amd64 (20190326.1)
  ProcEnviron:
   LANGUAGE=
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=uk_UA.UTF-8
   SHELL=/bin/bash
  SourcePackage: pulseaudio
  UpgradeStatus: Upgraded to groovy on 2020-09-06 (23 days ago)
  dmi.bios.date: 06/11/2010
  dmi.bios.release: 11.2
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 1102
  dmi.board.asset.tag: To Be Filled By O.E.M.
  dmi.board.name: P5Q3
  dmi.board.vendor: ASUSTeK Computer INC.
  dmi.board.version: Rev 1.xx
  dmi.chassis.asset.tag: Asset-1234567890
  dmi.chassis.type: 3
  dmi.chassis.vendor: Chassis Manufacture
  dmi.chassis.version: Chassis Version
  dmi.modalias: 

[Touch-packages] [Bug 1902748] Re: ubuntu-seed / ubuntu-boot partition detection could be improved

2020-11-03 Thread Ian Johnson
** Tags added: uc20

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1902748

Title:
  ubuntu-seed / ubuntu-boot partition detection could be improved

Status in snapd:
  Confirmed
Status in linux package in Ubuntu:
  Incomplete
Status in systemd package in Ubuntu:
  New

Bug description:
  ubuntu-seed / ubuntu-boot partition detection could be improved

  Currently in the initrd, snapd-bootstrap searches for ubuntu-boot /
  ubuntu-seed partition by label or by UEFI variable that was set by sd-
  boot.

  sdboot uses devicepath UEFI protocol to establish MEDIA_DEVICE_PATH,
  HARDDRIVE_DEVICEPATH, GUID, Signature aka partuuid that was used to
  boot.

  
https://github.com/tianocore/edk2/blob/master/MdePkg/Include/Protocol/DevicePath.h

  This is nice, but not unique enough. It would be nice if we were able
  to modify sd-boot stub to export something more specific that ideally
  maps to a sysfs path.

  For example PCI_DEVICE_PATH, SCSI_DEVICE_PATH, SATA_DEVICE_PATH,
  USB_DEVICE_PATH, NVME_NAMESPACE_DEVICE_PATH, SD_DEVICE_PATH,
  UFS_DEVICE_PATH, EMMC_DEVICE_PATH or some such.

  That way initrd would be able to resolve better which block device to
  key off.

  Given that EFI device handle is passed to the kernel, doesn't kernel
  also know where it came from? or not?

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1902748/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1635803] Re: dragging file with middle mouse button doesn't show "Copy/Move/Link" context menu

2020-11-03 Thread Sebastien Bacher
** Bug watch added: gitlab.gnome.org/GNOME/gtk/-/issues #1512
   https://gitlab.gnome.org/GNOME/gtk/-/issues/1512

** Project changed: nautilus => gtk

** Changed in: gtk
   Importance: Medium => Unknown

** Changed in: gtk
   Status: Invalid => Unknown

** Changed in: gtk
 Remote watch: GNOME Bug Tracker #772797 => gitlab.gnome.org/GNOME/gtk/-/issues 
#1512

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1635803

Title:
  dragging file with middle mouse button doesn't show "Copy/Move/Link"
  context menu

Status in GTK+:
  Unknown
Status in gtk+3.0 package in Ubuntu:
  Triaged

Bug description:
  middle mouse a file, drag and drop it used to bring out a copy, move, etc 
dialog. This is now missing in 16.10.
  Can we please have this back, and an option to make the shortcut using 
rightclick + drag would be an improvement also.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.10
  Package: nautilus 1:3.20.3-1ubuntu3
  ProcVersionSignature: Ubuntu 4.8.0-26.28-generic 4.8.0
  Uname: Linux 4.8.0-26-generic x86_64
  ApportVersion: 2.20.3-0ubuntu8
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Sat Oct 22 19:14:18 2016
  InstallationDate: Installed on 2016-10-14 (8 days ago)
  InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Release amd64 (20161012.2)
  SourcePackage: nautilus
  UpgradeStatus: No upgrade log present (probably fresh install)
  usr_lib_nautilus: gnome-terminal 3.20.2-1ubuntu5

To manage notifications about this bug go to:
https://bugs.launchpad.net/gtk/+bug/1635803/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902710] Re: [SRU] Enable support for Wallaby Cloud Archive

2020-11-03 Thread Brian Murray
Hello Corey, or anyone else affected,

Accepted software-properties into focal-proposed. The package will build
now and be available at https://launchpad.net/ubuntu/+source/software-
properties/0.98.9.3 in a few hours, and then in the -proposed
repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested, what testing has been
performed on the package and change the tag from verification-needed-
focal to verification-done-focal. If it does not fix the bug for you,
please add a comment stating that, and change the tag to verification-
failed-focal. In either case, without details of your testing we will
not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: software-properties (Ubuntu Focal)
   Status: Triaged => Fix Committed

** Tags added: verification-needed verification-needed-focal

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1902710

Title:
  [SRU] Enable support for Wallaby Cloud Archive

Status in software-properties package in Ubuntu:
  Triaged
Status in software-properties source package in Focal:
  Fix Committed
Status in software-properties source package in Hirsute:
  Triaged

Bug description:
  Please add support for:

 cloud-archive:wallaby
 cloud-archive:wallaby-proposed

  This will also need to be SRU'd back to focal.

  [Impact]
  End users have to manually enable the wallaby cloud archive pockets.

  [Test case]
  sudo add-apt-repository cloud-archive:wallaby
  sudo add-apt-repository cloud-archive:wallaby-proposed

  [Regression potential]
  Limited - just a data item addition

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1902710/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1870060] Re: systemd ProtectSystem/mount namespace makes apport fail (impact most of our default system services)

2020-11-03 Thread Launchpad Bug Tracker
** Branch linked: lp:~brian-murray/apport/system-slice

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1870060

Title:
  systemd ProtectSystem/mount namespace makes apport fail (impact most
  of our default system services)

Status in apport package in Ubuntu:
  In Progress
Status in bluez package in Ubuntu:
  Invalid
Status in apport source package in Focal:
  Confirmed
Status in bluez source package in Focal:
  Invalid

Bug description:
  bluetoothd never leaves dumps/crash files when it crashes

  And it seems this is true for everyone. Only supplementary binaries' crash 
reports are shown:
  https://errors.ubuntu.com/?release=Ubuntu%2020.04=bluez=year

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1870060/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902760] [NEW] Please merge linker bugfix into Ubuntu 20.04 LTS

2020-11-03 Thread Barry M Tannenbaum
Public bug reported:

Binutils bug https://sourceware.org/bugzilla/show_bug.cgi?id=26262 fixes
a problem that Intel Fortran is running into when using the -ipo option
to request link time optimization. Please merge the fix into Ubuntu
20.04 LTS

** Affects: binutils (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1902760

Title:
  Please merge linker bugfix into Ubuntu 20.04 LTS

Status in binutils package in Ubuntu:
  New

Bug description:
  Binutils bug https://sourceware.org/bugzilla/show_bug.cgi?id=26262
  fixes a problem that Intel Fortran is running into when using the -ipo
  option to request link time optimization. Please merge the fix into
  Ubuntu 20.04 LTS

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1902760/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902748] Re: ubuntu-seed / ubuntu-boot partition detection could be improved

2020-11-03 Thread Ian Johnson
** Changed in: snapd
   Status: New => Confirmed

** Changed in: snapd
   Importance: Undecided => Medium

** Changed in: snapd
 Assignee: (unassigned) => Ian Johnson (anonymouse67)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1902748

Title:
  ubuntu-seed / ubuntu-boot partition detection could be improved

Status in snapd:
  Confirmed
Status in linux package in Ubuntu:
  Incomplete
Status in systemd package in Ubuntu:
  New

Bug description:
  ubuntu-seed / ubuntu-boot partition detection could be improved

  Currently in the initrd, snapd-bootstrap searches for ubuntu-boot /
  ubuntu-seed partition by label or by UEFI variable that was set by sd-
  boot.

  sdboot uses devicepath UEFI protocol to establish MEDIA_DEVICE_PATH,
  HARDDRIVE_DEVICEPATH, GUID, Signature aka partuuid that was used to
  boot.

  
https://github.com/tianocore/edk2/blob/master/MdePkg/Include/Protocol/DevicePath.h

  This is nice, but not unique enough. It would be nice if we were able
  to modify sd-boot stub to export something more specific that ideally
  maps to a sysfs path.

  For example PCI_DEVICE_PATH, SCSI_DEVICE_PATH, SATA_DEVICE_PATH,
  USB_DEVICE_PATH, NVME_NAMESPACE_DEVICE_PATH, SD_DEVICE_PATH,
  UFS_DEVICE_PATH, EMMC_DEVICE_PATH or some such.

  That way initrd would be able to resolve better which block device to
  key off.

  Given that EFI device handle is passed to the kernel, doesn't kernel
  also know where it came from? or not?

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1902748/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


Re: [Touch-packages] [Bug 1902652] Re: [arm64] [Libre Computer Board AML-S805X-AC] 3D rendering is very slow

2020-11-03 Thread Joshua Ivan Miranda Alfonso
there is no ubuntu 20 for my board.

On Tue, Nov 3, 2020 at 12:25 AM Daniel van Vugt <1902...@bugs.launchpad.net>
wrote:

> ** Summary changed:
>
> - 3d rendering is very slow
> + [arm64] [Libre Computer Board AML-S805X-AC] 3D rendering is very slow
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1902652
>
> Title:
>   [arm64] [Libre Computer Board AML-S805X-AC] 3D rendering is very slow
>
> Status in xorg package in Ubuntu:
>   New
>
> Bug description:
>   3d rendering is very slow, also when surfing the internet, webpages
>   take a while to render. Internet access is not the problem.
>
>   ProblemType: Bug
>   DistroRelease: Ubuntu 18.04
>   Package: xorg 1:7.7+19ubuntu7.1
>   Uname: Linux 4.19.64+ aarch64
>   ApportVersion: 2.20.9-0ubuntu7.18
>   Architecture: arm64
>   BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
>   CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
>   CompositorRunning: None
>   CurrentDesktop: XFCE
>   Date: Tue Nov  3 05:42:00 2020
>   DistUpgraded: Fresh install
>   DistroCodename: bionic
>   DistroVariant: ubuntu
>   ExtraDebuggingInterest: Yes, if not too technical
>   GraphicsCard:
>
>   Lspci:
>
>   ProcEnviron:
>LANGUAGE=en
>PATH=(custom, no user)
>XDG_RUNTIME_DIR=
>LANG=en_US.UTF-8
>SHELL=/bin/bash
>   ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.19.64+
> root=UUID=ed29fecf-6335-4caf-989f-7400b169cb82 ro rootflags=subvol=@
> noquiet splash vt.handoff=1
>   Renderer: Software
>   SourcePackage: xorg
>   Symptom: display
>   UpgradeStatus: No upgrade log present (probably fresh install)
>   XorgConf:
>Section "Device"
> Identifier  "Allwinner sun4i DRM driver"
> Driver  "armsoc"
> Option  "DRI2"  "true"
>EndSection
>   version.compiz: compiz N/A
>   version.libdrm2: libdrm2 2.4.101-2~18.04.1
>   version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~18.04.1
>   version.libgl1-mesa-glx: libgl1-mesa-glx 20.0.8-0ubuntu1~18.04.1
>   version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu4.7
>   version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
>   version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1
>   version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
>   version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1902652/+subscriptions
>

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1902652

Title:
  [arm64] [Libre Computer Board AML-S805X-AC] 3D rendering is very slow

Status in mesa package in Ubuntu:
  New
Status in xf86-video-armsoc package in Ubuntu:
  New

Bug description:
  3d rendering is very slow, also when surfing the internet, webpages
  take a while to render. Internet access is not the problem.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: xorg 1:7.7+19ubuntu7.1
  Uname: Linux 4.19.64+ aarch64
  ApportVersion: 2.20.9-0ubuntu7.18
  Architecture: arm64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  CurrentDesktop: XFCE
  Date: Tue Nov  3 05:42:00 2020
  DistUpgraded: Fresh install
  DistroCodename: bionic
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   
  Lspci:
   
  ProcEnviron:
   LANGUAGE=en
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.19.64+ 
root=UUID=ed29fecf-6335-4caf-989f-7400b169cb82 ro rootflags=subvol=@ noquiet 
splash vt.handoff=1
  Renderer: Software
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  XorgConf:
   Section "Device"
Identifier  "Allwinner sun4i DRM driver"
Driver  "armsoc"
Option  "DRI2"  "true"
   EndSection
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2~18.04.1
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~18.04.1
  version.libgl1-mesa-glx: libgl1-mesa-glx 20.0.8-0ubuntu1~18.04.1
  version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu4.7
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1902652/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net

[Touch-packages] [Bug 1902748] Missing required logs.

2020-11-03 Thread Ubuntu Kernel Bot
This bug is missing log files that will aid in diagnosing the problem.
While running an Ubuntu kernel (not a mainline or third-party kernel)
please enter the following command in a terminal window:

apport-collect 1902748

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable
to run this command, please add a comment stating that fact and change
the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the
Ubuntu Kernel Team.

** Changed in: linux (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1902748

Title:
  ubuntu-seed / ubuntu-boot partition detection could be improved

Status in snapd:
  New
Status in linux package in Ubuntu:
  Incomplete
Status in systemd package in Ubuntu:
  New

Bug description:
  ubuntu-seed / ubuntu-boot partition detection could be improved

  Currently in the initrd, snapd-bootstrap searches for ubuntu-boot /
  ubuntu-seed partition by label or by UEFI variable that was set by sd-
  boot.

  sdboot uses devicepath UEFI protocol to establish MEDIA_DEVICE_PATH,
  HARDDRIVE_DEVICEPATH, GUID, Signature aka partuuid that was used to
  boot.

  
https://github.com/tianocore/edk2/blob/master/MdePkg/Include/Protocol/DevicePath.h

  This is nice, but not unique enough. It would be nice if we were able
  to modify sd-boot stub to export something more specific that ideally
  maps to a sysfs path.

  For example PCI_DEVICE_PATH, SCSI_DEVICE_PATH, SATA_DEVICE_PATH,
  USB_DEVICE_PATH, NVME_NAMESPACE_DEVICE_PATH, SD_DEVICE_PATH,
  UFS_DEVICE_PATH, EMMC_DEVICE_PATH or some such.

  That way initrd would be able to resolve better which block device to
  key off.

  Given that EFI device handle is passed to the kernel, doesn't kernel
  also know where it came from? or not?

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1902748/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902749] [NEW] Log in screen flashes on and off until I log in

2020-11-03 Thread Laurens
Public bug reported:

Im on Ubuntu 20.04.1 with an AMD Ryzen 7 4800h CPU and a Nvidia GTX
1650ti [Mobile] GPU using nvidia-driver-450

Kernel is up to date (5.9.3)

When my laptop boots, the log in screen flashes black and quickly back
on until i log in. When i reach the desktop the flashing stops. Still,
having the screen flickering on the log in screen is very annoying.

As far as i can tell, the laptop doesn't have any further screen issues.

Thanks in advance!

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: xorg 1:7.7+19ubuntu14
Uname: Linux 5.9.3-050903-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
.proc.driver.nvidia.capabilities.gpu0: Error: [Errno 21] Is a directory: 
'/proc/driver/nvidia/capabilities/gpu0'
.proc.driver.nvidia.capabilities.mig: Error: [Errno 21] Is a directory: 
'/proc/driver/nvidia/capabilities/mig'
.proc.driver.nvidia.gpus..01.00.0: Error: [Errno 21] Is a directory: 
'/proc/driver/nvidia/gpus/:01:00.0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.suspend: suspend hibernate resume
.proc.driver.nvidia.suspend_depth: default modeset uvm
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module  450.80.02  Wed Sep 23 01:13:39 
UTC 2020
 GCC version:  gcc version 9.3.0 (Ubuntu 9.3.0-17ubuntu1~20.04)
ApportVersion: 2.20.11-0ubuntu27.10
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CasperMD5CheckResult: skip
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
CurrentDmesg: Error: command ['dmesg'] failed with exit code 1: dmesg: read 
kernel buffer failed: Operation not permitted
Date: Tue Nov  3 17:46:21 2020
DistUpgraded: Fresh install
DistroCodename: focal
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 NVIDIA Corporation TU116M [GeForce GTX 1650 Ti Mobile] [10de:2192] (rev a1) 
(prog-if 00 [VGA controller])
   Subsystem: Tongfang Hongkong Limited Device [1d05:1101]
 Advanced Micro Devices, Inc. [AMD/ATI] Renoir [1002:1636] (rev c6) (prog-if 00 
[VGA controller])
   Subsystem: Tongfang Hongkong Limited Renoir [1d05:1100]
InstallationDate: Installed on 2020-10-27 (7 days ago)
InstallationMedia: Ubuntu 20.04.1 LTS "Focal Fossa" - Release amd64 (20200731)
MachineType: Standard GK5NPFO
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.9.3-050903-generic 
root=UUID=a7144690-52e4-4688-a61a-b208b0648077 ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/01/2020
dmi.bios.release: 5.16
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: N.1.16PCS01
dmi.board.asset.tag: Standard
dmi.board.name: GK5NPFO
dmi.board.vendor: TongFang
dmi.board.version: Standard
dmi.chassis.asset.tag: Standard
dmi.chassis.type: 10
dmi.chassis.vendor: Standard
dmi.chassis.version: Standard
dmi.ec.firmware.release: 1.22
dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrN.1.16PCS01:bd09/01/2020:br5.16:efr1.22:svnStandard:pnGK5NPFO:pvrStandard:rvnTongFang:rnGK5NPFO:rvrStandard:cvnStandard:ct10:cvrStandard:
dmi.product.family: Standard
dmi.product.name: GK5NPFO
dmi.product.sku: 0001
dmi.product.version: Standard
dmi.sys.vendor: Standard
version.compiz: compiz 1:0.9.14.1+20.04.20200211-0ubuntu1
version.libdrm2: libdrm2 2.4.101-2
version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~20.04.1
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug focal ubuntu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1902749

Title:
  Log in screen flashes on and off until I log in

Status in xorg package in Ubuntu:
  New

Bug description:
  Im on Ubuntu 20.04.1 with an AMD Ryzen 7 4800h CPU and a Nvidia GTX
  1650ti [Mobile] GPU using nvidia-driver-450

  Kernel is up to date (5.9.3)

  When my laptop boots, the log in screen flashes black and quickly back
  on until i log in. When i reach the desktop the flashing stops. Still,
  having the screen flickering on the log in screen is very annoying.

  As far as i can tell, the laptop doesn't have any further screen
  issues.

  Thanks in advance!

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  Uname: Linux 5.9.3-050903-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  .proc.driver.nvidia.capabilities.gpu0: Error: [Errno 21] Is a directory: 
'/proc/driver/nvidia/capabilities/gpu0'

[Touch-packages] [Bug 1902748] [NEW] ubuntu-seed / ubuntu-boot partition detection could be improved

2020-11-03 Thread Dimitri John Ledkov
Public bug reported:

ubuntu-seed / ubuntu-boot partition detection could be improved

Currently in the initrd, snapd-bootstrap searches for ubuntu-boot /
ubuntu-seed partition by label or by UEFI variable that was set by sd-
boot.

sdboot uses devicepath UEFI protocol to establish MEDIA_DEVICE_PATH,
HARDDRIVE_DEVICEPATH, GUID, Signature aka partuuid that was used to
boot.

https://github.com/tianocore/edk2/blob/master/MdePkg/Include/Protocol/DevicePath.h

This is nice, but not unique enough. It would be nice if we were able to
modify sd-boot stub to export something more specific that ideally maps
to a sysfs path.

For example PCI_DEVICE_PATH, SCSI_DEVICE_PATH, SATA_DEVICE_PATH,
USB_DEVICE_PATH, NVME_NAMESPACE_DEVICE_PATH, SD_DEVICE_PATH,
UFS_DEVICE_PATH, EMMC_DEVICE_PATH or some such.

That way initrd would be able to resolve better which block device to
key off.

Given that EFI device handle is passed to the kernel, doesn't kernel
also know where it came from? or not?

** Affects: snapd
 Importance: Undecided
 Status: New

** Affects: linux (Ubuntu)
 Importance: Undecided
 Status: New

** Affects: systemd (Ubuntu)
 Importance: Undecided
 Status: New

** Also affects: systemd (Ubuntu)
   Importance: Undecided
   Status: New

** Also affects: linux (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1902748

Title:
  ubuntu-seed / ubuntu-boot partition detection could be improved

Status in snapd:
  New
Status in linux package in Ubuntu:
  New
Status in systemd package in Ubuntu:
  New

Bug description:
  ubuntu-seed / ubuntu-boot partition detection could be improved

  Currently in the initrd, snapd-bootstrap searches for ubuntu-boot /
  ubuntu-seed partition by label or by UEFI variable that was set by sd-
  boot.

  sdboot uses devicepath UEFI protocol to establish MEDIA_DEVICE_PATH,
  HARDDRIVE_DEVICEPATH, GUID, Signature aka partuuid that was used to
  boot.

  
https://github.com/tianocore/edk2/blob/master/MdePkg/Include/Protocol/DevicePath.h

  This is nice, but not unique enough. It would be nice if we were able
  to modify sd-boot stub to export something more specific that ideally
  maps to a sysfs path.

  For example PCI_DEVICE_PATH, SCSI_DEVICE_PATH, SATA_DEVICE_PATH,
  USB_DEVICE_PATH, NVME_NAMESPACE_DEVICE_PATH, SD_DEVICE_PATH,
  UFS_DEVICE_PATH, EMMC_DEVICE_PATH or some such.

  That way initrd would be able to resolve better which block device to
  key off.

  Given that EFI device handle is passed to the kernel, doesn't kernel
  also know where it came from? or not?

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1902748/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1899262] Re: Broken dbus GetAll message to wpa supplicant interface properties

2020-11-03 Thread Michael Nazzareno Trimarchi
As I said Interfaces/1 or /2 or /3 depends on how they are enumerated.
That is just an example

Using d-feet to find your interface. Today is /4 on my laptop (and must
be a wifi)

** Attachment added: "Screenshot from 2020-11-03 17-25-40.png"
   
https://bugs.launchpad.net/ubuntu/+source/wpa/+bug/1899262/+attachment/5430694/+files/Screenshot%20from%202020-11-03%2017-25-40.png

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to wpa in Ubuntu.
https://bugs.launchpad.net/bugs/1899262

Title:
  Broken dbus GetAll message to wpa supplicant interface properties

Status in wpa package in Ubuntu:
  New

Bug description:
  dbus-send is able to read the properties of interface using GetAll. Those 
information include interface name, status, encryption method, etc. 
  The regression was introduced when someone try to have the Station attribute 
supported

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/wpa/+bug/1899262/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1899262] Re: Broken dbus GetAll message to wpa supplicant interface properties

2020-11-03 Thread Sebastien Bacher
> This is not happen on the same version without any addition patch. In the 
> debian package was
> added a patch to report the Stations attribue that is a part of this answer 
> and the fact that
> this is only valid on ap mode does not let reply at all of this message.

If it's not happening without patch do you know which change is creating
the issue? Is that patch in Debian and/or upstream as well?

Could you give the exact reference of the 'patch to report the Stations
attribue'?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to wpa in Ubuntu.
https://bugs.launchpad.net/bugs/1899262

Title:
  Broken dbus GetAll message to wpa supplicant interface properties

Status in wpa package in Ubuntu:
  New

Bug description:
  dbus-send is able to read the properties of interface using GetAll. Those 
information include interface name, status, encryption method, etc. 
  The regression was introduced when someone try to have the Station attribute 
supported

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/wpa/+bug/1899262/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1899262] Re: Broken dbus GetAll message to wpa supplicant interface properties

2020-11-03 Thread Sebastien Bacher
Trying here

$ sudo dbus-send --system --print-reply --dest=fi.w1.wpa_supplicant1
/fi/w1/wpa_supplicant1/Interfaces/1
org.freedesktop.DBus.Properties.GetAll
string:fi.w1.wpa_supplicant1.Interface

Error org.freedesktop.DBus.Error.UnknownMethod: Method "GetAll" with
signature "s" on interface "org.freedesktop.DBus.Properties" doesn't
exist

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to wpa in Ubuntu.
https://bugs.launchpad.net/bugs/1899262

Title:
  Broken dbus GetAll message to wpa supplicant interface properties

Status in wpa package in Ubuntu:
  New

Bug description:
  dbus-send is able to read the properties of interface using GetAll. Those 
information include interface name, status, encryption method, etc. 
  The regression was introduced when someone try to have the Station attribute 
supported

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/wpa/+bug/1899262/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902740] Re: package unattended-upgrades 1.1ubuntu1.18.04.7~16.04.6 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before attemp

2020-11-03 Thread Balint Reczey
please run:
 apt-get install --reinstall unattended-upgrades

** Changed in: unattended-upgrades (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1902740

Title:
  package unattended-upgrades 1.1ubuntu1.18.04.7~16.04.6 failed to
  install/upgrade: package is in a very bad inconsistent state; you
  should  reinstall it before attempting configuration

Status in unattended-upgrades package in Ubuntu:
  Incomplete

Bug description:
  I couldn't find any software in the UBC.

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: unattended-upgrades 1.1ubuntu1.18.04.7~16.04.6
  ProcVersionSignature: Ubuntu 4.15.0-122.124~16.04.1-generic 4.15.18
  Uname: Linux 4.15.0-122-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.25
  Architecture: amd64
  Date: Tue Nov  3 21:14:25 2020
  DuplicateSignature:
   package:unattended-upgrades:1.1ubuntu1.18.04.7~16.04.6
   Processing triggers for dbus (1.10.6-1ubuntu3.6) ...
   dpkg: error processing package unattended-upgrades (--configure):
package is in a very bad inconsistent state; you should
  ErrorMessage: package is in a very bad inconsistent state; you should  
reinstall it before attempting configuration
  InstallationDate: Installed on 2017-12-16 (1052 days ago)
  InstallationMedia: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 
(20170215.2)
  PackageArchitecture: all
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.6
   apt  1.2.32ubuntu0.1
  SourcePackage: unattended-upgrades
  Title: package unattended-upgrades 1.1ubuntu1.18.04.7~16.04.6 failed to 
install/upgrade: package is in a very bad inconsistent state; you should  
reinstall it before attempting configuration
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.update-motd.d.92-unattended-upgrades: [deleted]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1902740/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902740] Re: package unattended-upgrades 1.1ubuntu1.18.04.7~16.04.6 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before attemp

2020-11-03 Thread Apport retracing service
** Tags removed: need-duplicate-check

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1902740

Title:
  package unattended-upgrades 1.1ubuntu1.18.04.7~16.04.6 failed to
  install/upgrade: package is in a very bad inconsistent state; you
  should  reinstall it before attempting configuration

Status in unattended-upgrades package in Ubuntu:
  New

Bug description:
  I couldn't find any software in the UBC.

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: unattended-upgrades 1.1ubuntu1.18.04.7~16.04.6
  ProcVersionSignature: Ubuntu 4.15.0-122.124~16.04.1-generic 4.15.18
  Uname: Linux 4.15.0-122-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.25
  Architecture: amd64
  Date: Tue Nov  3 21:14:25 2020
  DuplicateSignature:
   package:unattended-upgrades:1.1ubuntu1.18.04.7~16.04.6
   Processing triggers for dbus (1.10.6-1ubuntu3.6) ...
   dpkg: error processing package unattended-upgrades (--configure):
package is in a very bad inconsistent state; you should
  ErrorMessage: package is in a very bad inconsistent state; you should  
reinstall it before attempting configuration
  InstallationDate: Installed on 2017-12-16 (1052 days ago)
  InstallationMedia: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 
(20170215.2)
  PackageArchitecture: all
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.6
   apt  1.2.32ubuntu0.1
  SourcePackage: unattended-upgrades
  Title: package unattended-upgrades 1.1ubuntu1.18.04.7~16.04.6 failed to 
install/upgrade: package is in a very bad inconsistent state; you should  
reinstall it before attempting configuration
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.update-motd.d.92-unattended-upgrades: [deleted]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1902740/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902740] [NEW] package unattended-upgrades 1.1ubuntu1.18.04.7~16.04.6 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before atte

2020-11-03 Thread Jenish Bhavsar
Public bug reported:

I couldn't find any software in the UBC.

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: unattended-upgrades 1.1ubuntu1.18.04.7~16.04.6
ProcVersionSignature: Ubuntu 4.15.0-122.124~16.04.1-generic 4.15.18
Uname: Linux 4.15.0-122-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.25
Architecture: amd64
Date: Tue Nov  3 21:14:25 2020
DuplicateSignature:
 package:unattended-upgrades:1.1ubuntu1.18.04.7~16.04.6
 Processing triggers for dbus (1.10.6-1ubuntu3.6) ...
 dpkg: error processing package unattended-upgrades (--configure):
  package is in a very bad inconsistent state; you should
ErrorMessage: package is in a very bad inconsistent state; you should  
reinstall it before attempting configuration
InstallationDate: Installed on 2017-12-16 (1052 days ago)
InstallationMedia: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 
(20170215.2)
PackageArchitecture: all
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.6
 apt  1.2.32ubuntu0.1
SourcePackage: unattended-upgrades
Title: package unattended-upgrades 1.1ubuntu1.18.04.7~16.04.6 failed to 
install/upgrade: package is in a very bad inconsistent state; you should  
reinstall it before attempting configuration
UpgradeStatus: No upgrade log present (probably fresh install)
modified.conffile..etc.update-motd.d.92-unattended-upgrades: [deleted]

** Affects: unattended-upgrades (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1902740

Title:
  package unattended-upgrades 1.1ubuntu1.18.04.7~16.04.6 failed to
  install/upgrade: package is in a very bad inconsistent state; you
  should  reinstall it before attempting configuration

Status in unattended-upgrades package in Ubuntu:
  New

Bug description:
  I couldn't find any software in the UBC.

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: unattended-upgrades 1.1ubuntu1.18.04.7~16.04.6
  ProcVersionSignature: Ubuntu 4.15.0-122.124~16.04.1-generic 4.15.18
  Uname: Linux 4.15.0-122-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.25
  Architecture: amd64
  Date: Tue Nov  3 21:14:25 2020
  DuplicateSignature:
   package:unattended-upgrades:1.1ubuntu1.18.04.7~16.04.6
   Processing triggers for dbus (1.10.6-1ubuntu3.6) ...
   dpkg: error processing package unattended-upgrades (--configure):
package is in a very bad inconsistent state; you should
  ErrorMessage: package is in a very bad inconsistent state; you should  
reinstall it before attempting configuration
  InstallationDate: Installed on 2017-12-16 (1052 days ago)
  InstallationMedia: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 
(20170215.2)
  PackageArchitecture: all
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.6
   apt  1.2.32ubuntu0.1
  SourcePackage: unattended-upgrades
  Title: package unattended-upgrades 1.1ubuntu1.18.04.7~16.04.6 failed to 
install/upgrade: package is in a very bad inconsistent state; you should  
reinstall it before attempting configuration
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.update-motd.d.92-unattended-upgrades: [deleted]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1902740/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902540] Re: hirsute fails on add-apt-repository

2020-11-03 Thread Christian Ehrhardt 
FYI - Until this migrated into groovy the quick-fix with the attached diff is:
$ wget -q https://launchpadlibrarian.net/505009270/fix-hirsute-python-apt.diff 
-O - | sudo patch -p1

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python-apt in Ubuntu.
https://bugs.launchpad.net/bugs/1902540

Title:
  hirsute fails on add-apt-repository

Status in python-apt package in Ubuntu:
  Triaged
Status in software-properties package in Ubuntu:
  Invalid

Bug description:
  On a fully updated hirsute add-apt-repository fails, example:

  root@h:~# sudo add-apt-repository ppa:ci-train-ppa-service/4321
  Traceback (most recent call last):
File "/usr/bin/add-apt-repository", line 330, in 
  addaptrepo = AddAptRepository()
File "/usr/bin/add-apt-repository", line 35, in __init__
  self.distro.get_sources(self.sourceslist)
File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 91, in 
get_sources
  raise NoDistroTemplateException(
  aptsources.distro.NoDistroTemplateException: Error: could not find a 
distribution template for Ubuntu/hirsute

  The PPA seems not to matter (all trigger it) and if I manually add PPA
  sources list and GPG key it works. So maybe software-properties just
  needs to learn about hirsute?

  Or is there another components (like distro-info or such) that needs a
  bump for this to work?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-apt/+bug/1902540/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1865226] Re: gdm-smartcard pam config needs to be updated for Ubuntu and installed

2020-11-03 Thread Sebastien Bacher
** Changed in: gdm3 (Ubuntu Focal)
 Assignee: (unassigned) => Marco Trevisan (Treviño) (3v1n0)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pam in Ubuntu.
https://bugs.launchpad.net/bugs/1865226

Title:
  gdm-smartcard pam config needs to be updated for Ubuntu and installed

Status in gdm:
  New
Status in gdm3 package in Ubuntu:
  Confirmed
Status in pam package in Ubuntu:
  Invalid
Status in gdm3 source package in Bionic:
  New
Status in pam source package in Bionic:
  Invalid
Status in gdm3 source package in Focal:
  Confirmed
Status in pam source package in Focal:
  Invalid
Status in gdm3 source package in Groovy:
  Confirmed
Status in pam source package in Groovy:
  Invalid

Bug description:
  the pam profile for gdm-smartcard is missing. gdm refuses to login
  with a smartcard. Looking at ubuntu/+source/gdm3, other pam files are
  pregenerated into debian/ and installed from there; gdm-smartcard is
  left out.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: gdm3 3.28.3-0ubuntu18.04.4
  ProcVersionSignature: Ubuntu 5.3.0-24.26~18.04.2-generic 5.3.10
  Uname: Linux 5.3.0-24-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair nvidia_modeset 
nvidia
  ApportVersion: 2.20.9-0ubuntu7.11
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Feb 28 14:30:30 2020
  InstallationDate: Installed on 2016-05-23 (1376 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  SourcePackage: gdm3
  UpgradeStatus: No upgrade log present (probably fresh install)
  mtime.conffile..etc.gdm3.Xsession: 2018-04-27T11:41:04.766901

To manage notifications about this bug go to:
https://bugs.launchpad.net/gdm/+bug/1865226/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1901272] Re: Can't connect Bluetooth devices after reboot - Ubuntu 20.10 on Raspberry Pi 4

2020-11-03 Thread Sebastien Bacher
Is there any work needed on bluez or linux there?

** Tags removed: rls-gg-incoming

** Changed in: bluez (Ubuntu)
   Status: Confirmed => Incomplete

** Changed in: bluez (Ubuntu Groovy)
   Status: New => Incomplete

** Changed in: linux-raspi (Ubuntu)
   Status: Confirmed => Incomplete

** Changed in: linux-raspi (Ubuntu Groovy)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1901272

Title:
  Can't connect Bluetooth devices after reboot - Ubuntu 20.10 on
  Raspberry Pi 4

Status in bluez package in Ubuntu:
  Incomplete
Status in linux-raspi package in Ubuntu:
  Incomplete
Status in pi-bluetooth package in Ubuntu:
  Confirmed
Status in bluez source package in Groovy:
  Incomplete
Status in linux-raspi source package in Groovy:
  Incomplete
Status in pi-bluetooth source package in Groovy:
  New

Bug description:
  Raspberry pi 4 4Gb ram
  Ubuntu desktop 20.10 64 bit
  After reboot no Bluetooth devices connect, scanning Bluetooth devices works, 
results with same device name (duplicated and with not set up status).
  Sometimes after several reboots it works.
  If I use power off and cycle power then it works fine each time.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1901272/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1761382] Re: Unable to connect to ibus: Could not connect: Connection refused

2020-11-03 Thread David Oswald
Upon boot, checking journalctl -eb:

Nove 03 07:13:21 davido-thinkpad gnome-shell[6720]: Unable to connect to
ibus: Could not connect: Connection refused

So I can confirm the error still persists a couple years after
reporting. I don't know what side effects it produces.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1761382

Title:
  Unable to connect to ibus: Could not connect: Connection refused

Status in gnome-shell package in Ubuntu:
  Confirmed
Status in ibus package in Ubuntu:
  Confirmed

Bug description:
  Get this logged:

  oem@ubuntu:~$ journalctl -b | grep ibus

  dbus-daemon[1074]: [session uid=120 pid=1074] Activating service
  name='org.freedesktop.portal.IBus' requested by ':1.18' (uid=120
  pid=1135 comm="ibus-daemon --xim --panel disable " label="unconfined")

  gnome-shell[1084]: Unable to connect to ibus: Could not connect:
  Connection refused

  /usr/lib/gdm3/gdm-x-session[1281]: dbus-update-activation-environment:
  setting QT_IM_MODULE=ibus

  /usr/lib/gdm3/gdm-x-session[1281]: dbus-update-activation-environment:
  setting XMODIFIERS=@im=ibus

  /usr/lib/gdm3/gdm-x-session[1281]: dbus-update-activation-environment:
  setting GTK_IM_MODULE=ibus

  dbus-daemon[1293]: [session uid=1000 pid=1293] Activating service
  name='org.freedesktop.portal.IBus' requested by ':1.27' (uid=1000
  pid=1458 comm="ibus-daemon --xim --panel disable " label="unconfined")

  gnome-shell[1435]: Unable to connect to ibus: Could not connect:
  Connection refused

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: gnome-shell 3.28.0-0ubuntu2
  ProcVersionSignature: Ubuntu 4.15.0-15.16-generic 4.15.15
  Uname: Linux 4.15.0-15-generic x86_64
  ApportVersion: 2.20.9-0ubuntu2
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Thu Apr  5 07:43:59 2018
  DisplayManager: gdm3
  EcryptfsInUse: Yes
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: gnome-shell
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1761382/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902710] Re: [SRU] Enable support for Wallaby Cloud Archive

2020-11-03 Thread Corey Bryant
** Also affects: software-properties (Ubuntu Hirsute)
   Importance: Undecided
   Status: New

** Also affects: software-properties (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: software-properties (Ubuntu Focal)
   Status: New => Incomplete

** Changed in: software-properties (Ubuntu Focal)
   Status: Incomplete => Triaged

** Changed in: software-properties (Ubuntu Hirsute)
   Status: New => Triaged

** Changed in: software-properties (Ubuntu Hirsute)
   Importance: Undecided => High

** Changed in: software-properties (Ubuntu Focal)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1902710

Title:
  [SRU] Enable support for Wallaby Cloud Archive

Status in software-properties package in Ubuntu:
  Triaged
Status in software-properties source package in Focal:
  Triaged
Status in software-properties source package in Hirsute:
  Triaged

Bug description:
  Please add support for:

 cloud-archive:wallaby
 cloud-archive:wallaby-proposed

  This will also need to be SRU'd back to focal.

  [Impact]
  End users have to manually enable the wallaby cloud archive pockets.

  [Test case]
  sudo add-apt-repository cloud-archive:wallaby
  sudo add-apt-repository cloud-archive:wallaby-proposed

  [Regression potential]
  Limited - just a data item addition

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1902710/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902721] [NEW] xrandr fails to set screen size while starting X11

2020-11-03 Thread Thomas Schweikle
Public bug reported:

while starting X11 xrandr executes commands:

xrandr --newmode "3840x2160_30.00"  338.75  3840 4080 4488 5136  2160 2163 2168 
2200 -hsync +vsync
xrandr --addmode DP-1 "3840x2160_30.00"
xrandr --output DP-1 --mode "3840x2160_30.00"

while newmode, addmode work, the third command fails with "xrandr: Configure 
crtc 0 failed".
Looking at all video interfaces, the mode added to DP-1 is there. Now, from 
some remote shell:

DISPLAY=:0.0 xrandr --output DP-1 --mode 3840x2160_30.00

does not fail, but set graphics mode as desired. Trying to pause this to give 
it more time does not help. Does not work. It works as soon as i log in, set 
display to ":0.0" and then give the xrandr-command to use and set DP-1 to the 
desired mode.
Removing all xrandr-commands does not help either: the display stays black.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: x11-common 1:7.7+19ubuntu14
ProcVersionSignature: Ubuntu 5.4.0-52.57-generic 5.4.65
Uname: Linux 5.4.0-52-generic x86_64
ApportVersion: 2.20.11-0ubuntu27.11
Architecture: amd64
BootLog:
 
CasperMD5CheckResult: skip
CompositorRunning: None
Date: Tue Nov  3 14:52:24 2020
Dependencies: lsb-base 11.1.0ubuntu2
DistUpgraded: 2018-11-23 16:21:56,549 DEBUG Running PostInstallScript: 
'./xorg_fix_proprietary.py'
DistroCodename: focal
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics 
Controller [8086:0102] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company 2nd Generation Core Processor Family 
Integrated Graphics Controller [103c:1497]
InstallationDate: Installed on 2014-01-31 (2468 days ago)
InstallationMedia: Ubuntu-Server 13.10 "Saucy Salamander" - Release amd64 
(20131016)
MachineType: Hewlett-Packard HP Compaq 6200 Pro MT PC
PackageArchitecture: all
ProcEnviron:
 TERM=screen
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-5.4.0-52-generic 
root=UUID=de4af024-5d59-4f85-b5ca-11f17f085706 ro rootflags=subvol=@ 
consoleblank=0 video=DP-1:3840x2160M-32@30e
SourcePackage: xorg
UpgradeStatus: Upgraded to focal on 2018-11-23 (710 days ago)
acpidump:
 Error: command ['pkexec', '/usr/share/apport/dump_acpi_tables.py'] failed with 
exit code 127: polkit-agent-helper-1: error response to PolicyKit daemon: 
GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: No session for cookie
 Error executing command as another user: Not authorized
 
 This incident has been reported.
dmi.bios.date: 11/10/2011
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: J01 v02.15
dmi.board.name: 1497
dmi.board.vendor: Hewlett-Packard
dmi.chassis.type: 6
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: 
dmi:bvnHewlett-Packard:bvrJ01v02.15:bd11/10/2011:svnHewlett-Packard:pnHPCompaq6200ProMTPC:pvr:rvnHewlett-Packard:rn1497:rvr:cvnHewlett-Packard:ct6:cvr:
dmi.product.family: 103C_53307F G=D
dmi.product.name: HP Compaq 6200 Pro MT PC
dmi.product.sku: XL504AV
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.101-2
version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~20.04.1
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.6-1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug focal ubuntu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1902721

Title:
  xrandr fails to set screen size while starting X11

Status in xorg package in Ubuntu:
  New

Bug description:
  while starting X11 xrandr executes commands:

  xrandr --newmode "3840x2160_30.00"  338.75  3840 4080 4488 5136  2160 2163 
2168 2200 -hsync +vsync
  xrandr --addmode DP-1 "3840x2160_30.00"
  xrandr --output DP-1 --mode "3840x2160_30.00"

  while newmode, addmode work, the third command fails with "xrandr: Configure 
crtc 0 failed".
  Looking at all video interfaces, the mode added to DP-1 is there. Now, from 
some remote shell:

  DISPLAY=:0.0 xrandr --output DP-1 --mode 3840x2160_30.00

  does not fail, but set graphics mode as desired. Trying to pause this to give 
it more time does not help. Does not work. It works as soon as i log in, set 
display to ":0.0" and then give the xrandr-command to use and set DP-1 to the 
desired mode.
  Removing all xrandr-commands does not help either: the display stays black.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: x11-common 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-52.57-generic 5.4.65
  Uname: Linux 

[Touch-packages] [Bug 1902710] [NEW] [SRU] Enable support for Wallaby Cloud Archive

2020-11-03 Thread Corey Bryant
Public bug reported:

Please add support for:

   cloud-archive:wallaby
   cloud-archive:wallaby-proposed

This will also need to be SRU'd back to focal.

[Impact]
End users have to manually enable the wallaby cloud archive pockets.

[Test case]
sudo add-apt-repository cloud-archive:wallaby
sudo add-apt-repository cloud-archive:wallaby-proposed

[Regression potential]
Limited - just a data item addition

** Affects: software-properties (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1902710

Title:
  [SRU] Enable support for Wallaby Cloud Archive

Status in software-properties package in Ubuntu:
  New

Bug description:
  Please add support for:

 cloud-archive:wallaby
 cloud-archive:wallaby-proposed

  This will also need to be SRU'd back to focal.

  [Impact]
  End users have to manually enable the wallaby cloud archive pockets.

  [Test case]
  sudo add-apt-repository cloud-archive:wallaby
  sudo add-apt-repository cloud-archive:wallaby-proposed

  [Regression potential]
  Limited - just a data item addition

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1902710/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1879980] Re: Fail to boot with LUKS on top of RAID1 if the array is broken/degraded

2020-11-03 Thread Guilherme G. Piccoli
John, thanks a lot for your report! Definitely we don't want to delay boots - 
although I'm happy to hear that eventually it boots. Can you send me logs so I 
can understand what's going on?
My suggestion is to follow the steps below (as root user):

(0) [optional] Force a log rotation, in order we only capture the 
relevant/latest data:
logrotate -f /etc/logrotate.conf ;

(1) Add "debug ignore_loglevel" to your kernel command-line (usually
done by editing /etc/default/grub or /etc/default/grub.d/[somefile]);
update grub after editing the conf file (through "update-grub" tool);

(2) Now that'll seem a bit counter-intuitive: reboot the machine, and
all initramfs-tools verbose output will go to a file, *including* the
password requests for LUKS (I'm not sure why this happens, I feel it's
bug but we can live with that for now, to collect your data). So your
system might seem hung - write the password and press ENTER how many
times it's usually asked (when system appears hung) - hopefully you
manage to boot your system, even if takes a while.

(3) Collect 2 files and attach them here please: "/var/log/syslog" and
"/run/initramfs/initramfs.debug".

Hopefully with that I can understand exactly what's causing this weird behavior 
in your setup.
Cheers,


Guilherme

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1879980

Title:
  Fail to boot with LUKS on top of RAID1 if the array is broken/degraded

Status in cryptsetup package in Ubuntu:
  Fix Released
Status in initramfs-tools package in Ubuntu:
  Fix Released
Status in mdadm package in Ubuntu:
  Opinion
Status in cryptsetup source package in Xenial:
  Won't Fix
Status in initramfs-tools source package in Xenial:
  Won't Fix
Status in mdadm source package in Xenial:
  Won't Fix
Status in cryptsetup source package in Bionic:
  Fix Released
Status in initramfs-tools source package in Bionic:
  Fix Released
Status in mdadm source package in Bionic:
  Opinion
Status in cryptsetup source package in Focal:
  Fix Released
Status in initramfs-tools source package in Focal:
  Fix Released
Status in mdadm source package in Focal:
  Opinion
Status in cryptsetup source package in Groovy:
  Fix Released
Status in initramfs-tools source package in Groovy:
  Fix Released
Status in mdadm source package in Groovy:
  Opinion
Status in cryptsetup package in Debian:
  New

Bug description:
  [Impact]
  * Considering a setup of a encrypted rootfs on top of md RAID1 device, Ubuntu 
is currently unable to decrypt the rootfs if the array gets degraded, like for 
example if one of the array's members gets removed.

  * The problem has 2 main aspects: first, cryptsetup initramfs script
  attempts to decrypt the array only in the local-top boot stage, and in
  case it fails, it gives-up and show user a shell (boot is aborted).

  * Second, mdadm initramfs script that assembles degraded arrays
  executes later on boot, in the local-block stage. So, in a stacked
  setup of encrypted root on top of RAID, if the RAID is degraded,
  cryptsetup fails early in the boot, preventing mdadm to assemble the
  degraded array.

  * The hereby proposed solution has 2 components: first, cryptsetup
  script is modified to allow a gentle failure on local-top stage, then
  it retries for a while (according to a heuristic based on ROOTDELAY
  with minimum of 30 executions) in a later stage (local-block). This
  gives time to other initramfs scripts to run, like mdadm in local-
  block stage. And this is meant to work this way according to
  initramfs-tools documentation (although Ubuntu changed it a bit with
  wait-for-root, hence we stopped looping on local-block, see next
  bullet).

  * Second, initramfs-tools was adjusted - currently, it runs for a
  while the mdadm local-block script, in order to assemble the arrays in
  a non-degraded mode. We extended this approach to also execute
  cryptsetup, in a way that after mdadm ends its execution, we execute
  at least once more time cryptsetup. In an ideal world we should loop
  on local-block as Debian's initramfs (in a way to remove hardcoded
  mdadm/cryptsetup mentions from initramfs-tools code), but this would
  be really a big change, non-SRUable probably. I plan to work that for
  future Ubuntu releases.

  [Test case]
  * Install Ubuntu in a Virtual Machine with 2 disks. Use the installer to 
create a RAID1 volume and an encrypted root on top of it.

  * Boot the VM, and use "sgdisk"/"wipefs" to erase the partition table
  from one of the RAID members. Reboot and it will fail to mount rootfs
  and continue boot process.

  * If using the initramfs-toos/cryptsetup patches hereby proposed, the
  rootfs can be mounted normally.

  [Regression potential]

  * There are potential for regressions, since this is a change in 2
  boot components. The patches were designed in a way to keep the
  regular case working, it changes 

[Touch-packages] [Bug 1868706] Re: Snapd postinst script hangs

2020-11-03 Thread Silas S. Brown
Very similar thing happened on Lubuntu 20.04, `apt-get dist-upgrade`
said

Unpacking snapd (2.47.1+20.04) over (2.46.1+20.04) ...
Setting up snapd (2.47.1+20.04) ...
Installing new version of config file 
/etc/apparmor.d/usr.lib.snapd.snap-confine.real ...

and hung.  `pstree` just showed `apt-get---dpkg---snapd.postinst` (no
children).  It ignored `SIGINT` and `SIGTERM`.  `ps auxwww` shows

root4091  0.0  0.0   2608  1740 pts/1S+   09:42   0:00
/bin/sh /var/lib/dpkg/info/snapd.postinst configure 2.46.1+20.04

and `ls -l /proc/4091/fd` gives

lrwx-- 1 root root 64 Nov  3 11:43 0 -> /dev/pts/1
l-wx-- 1 root root 64 Nov  3 11:44 1 -> /dev/null
lr-x-- 1 root root 64 Nov  3 11:44 10 -> 
/var/lib/dpkg/info/snapd.postinst
lrwx-- 1 root root 64 Nov  3 11:44 11 -> /dev/pts/1
lrwx-- 1 root root 64 Nov  3 11:44 2 -> /dev/pts/1

(timestamps being the current time of the `ls`, not the process start
time which was about 2 hours earlier)  I was connecting to the machine
via `ssh` from elsewhere on our home network.

After `kill -9 4091` the parent `dpkg` process was still hung, `ps
auxwww` gives:

root4090  0.0  0.2  18092  9932 pts/1Ss+  09:42   0:00
/usr/bin/dpkg --status-fd 55 --configure --pending

and `ls -l /proc/4090/fd` gives:

lrwx-- 1 root root 64 Nov  3 11:49 0 -> /dev/pts/1
lrwx-- 1 root root 64 Nov  3 11:49 1 -> /dev/pts/1
lrwx-- 1 root root 64 Nov  3 11:49 2 -> /dev/pts/1
lrwx-- 1 root root 64 Nov  3 11:49 3 -> /var/lib/dpkg/lock
l-wx-- 1 root root 64 Nov  3 11:49 4 -> /var/lib/dpkg/updates/tmp.i
lrwx-- 1 root root 64 Nov  3 11:49 5 -> /var/lib/dpkg/triggers/Lock
l-wx-- 1 root root 64 Nov  3 11:49 55 -> 'pipe:[55607]'
lr-x-- 1 root root 64 Nov  3 11:49 6 -> /var/lib/dpkg/triggers/Unincorp
l-wx-- 1 root root 64 Nov  3 11:49 7 -> /var/log/dpkg.log
lr-x-- 1 root root 64 Nov  3 11:49 8 -> /var/lib/dpkg/diversions

After `kill -9 4090` the original SSH session gets

E: Sub-process /usr/bin/dpkg exited unexpectedly
W: Operation was interrupted before it could finish

and dropped back to root prompt.  I then tried `dpkg --configure -a` and
it apparently went straight through:

Setting up snapd (2.47.1+20.04) ...
snapd.failure.service is a disabled or a static unit, not starting it.
snapd.snap-repair.service is a disabled or a static unit, not starting it.

and then carried on setting up the other packages.  So I'm logging the
above in the hope that somebody can read more meaning into it than I
can.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1868706

Title:
  Snapd postinst script hangs

Status in snapd:
  Triaged
Status in dpkg package in Ubuntu:
  Invalid
Status in systemd package in Ubuntu:
  Invalid

Bug description:
  On a machine which has been tracking upgrades for a while, I am unable
  to install new versions of snapd. The install process stalls
  indefinitely. Processes running suggest this is a hang in the
  postinst:

  ~$ ps ax | grep dpkg
 2388 pts/1Ss+0:00 /usr/bin/dpkg --status-fd 25 --configure 
--pending
 2389 pts/1S+ 0:00 /bin/sh /var/lib/dpkg/info/snapd.postinst 
configure 2.43.3+git1.8109f8
 2875 pts/2S+ 0:00 grep --color=auto dpkg

  ~$ pstree 2388
  dpkg───snapd.postinst───systemctl───systemd-tty-ask

  ~$ ps ax | grep snapd
  732 ?Ssl0:00 /usr/lib/snapd/snapd
 2389 pts/1S+ 0:00 /bin/sh /var/lib/dpkg/info/snapd.postinst 
configure 2.43.3+git1.8109f8
 2452 pts/1S+ 0:00 /bin/systemctl start snapd.autoimport.service 
snapd.core-fixup.service snapd.recovery-chooser-trigger.service 
snapd.seeded.service snapd.service snapd.snap-repair.timer snapd.socket 
snapd.system-shutdown.service
 2880 pts/2S+ 0:00 grep --color=auto snapd

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1868706/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902540] Re: hirsute fails on add-apt-repository

2020-11-03 Thread Christian Ehrhardt 
** Changed in: python-apt (Ubuntu)
 Assignee: Steve Langasek (vorlon) => (unassigned)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python-apt in Ubuntu.
https://bugs.launchpad.net/bugs/1902540

Title:
  hirsute fails on add-apt-repository

Status in python-apt package in Ubuntu:
  Triaged
Status in software-properties package in Ubuntu:
  Invalid

Bug description:
  On a fully updated hirsute add-apt-repository fails, example:

  root@h:~# sudo add-apt-repository ppa:ci-train-ppa-service/4321
  Traceback (most recent call last):
File "/usr/bin/add-apt-repository", line 330, in 
  addaptrepo = AddAptRepository()
File "/usr/bin/add-apt-repository", line 35, in __init__
  self.distro.get_sources(self.sourceslist)
File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 91, in 
get_sources
  raise NoDistroTemplateException(
  aptsources.distro.NoDistroTemplateException: Error: could not find a 
distribution template for Ubuntu/hirsute

  The PPA seems not to matter (all trigger it) and if I manually add PPA
  sources list and GPG key it works. So maybe software-properties just
  needs to learn about hirsute?

  Or is there another components (like distro-info or such) that needs a
  bump for this to work?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-apt/+bug/1902540/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902539] Re: Intel iris graphic driver breaks java applications in ubuntu 20.04

2020-11-03 Thread Timo Aaltonen
look at what fix-mesa-detection.diff does and try to figure out how to
modify it to fix this

** Package changed: mesa (Ubuntu) => libjogl-java (Ubuntu)

** Package changed: libjogl-java (Ubuntu) => libjogl2-java (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1902539

Title:
  Intel iris graphic driver breaks java applications in ubuntu 20.04

Status in libjogl2-java package in Ubuntu:
  New

Bug description:
  Both Matlab and Scilab (which are java based) fail when using the iris
  graphics driver. As a workaround you can make them work using
  MESA_LOADER_DRIVER_OVERRIDE=i965

  There is a bug open for scilab at
  https://bugzilla.scilab.org/show_bug.cgi?id=13830 (in fact one of the
  issues marked as a duplicate there does probably contain more info).

  On the Matlab camp, the issue is known to the Matlab developers.
  However, it is really not an issue in Matlab, so they can only advice
  to use the i965 driver.

  The issue may be either in the Intel Iris driver, or in jogl (the java
  library that all these projects use for opengl). I would tend to think
  that the issue is in the iris driver not providing a proper opengl 3
  compatibility profile (needed by jogl), but I am unsure about it.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: libgl1-mesa-dri 20.0.8-0ubuntu1~20.04.1
  ProcVersionSignature: Ubuntu 5.4.0-52.57-generic 5.4.65
  Uname: Linux 5.4.0-52-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.10
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: KDE
  Date: Mon Nov  2 16:07:33 2020
  DistUpgraded: 2020-05-23 08:30:58,391 DEBUG Running PostInstallScript: 
'./xorg_fix_proprietary.py'
  DistroCodename: focal
  DistroVariant: ubuntu
  EcryptfsInUse: Yes
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   Intel Corporation UHD Graphics [8086:9b41] (rev 02) (prog-if 00 [VGA 
controller])
 Subsystem: CLEVO/KAPOK Computer UHD Graphics [1558:1403]
  InstallationDate: Installed on 2020-02-16 (260 days ago)
  InstallationMedia: Kubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
  MachineType: SCHENKER SCHENKER_SLIM14_SSL14L19
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-52-generic 
root=/dev/mapper/VG_NVMe-root ro quiet splash vt.handoff=7
  SourcePackage: mesa
  UpgradeStatus: Upgraded to focal on 2020-05-23 (163 days ago)
  dmi.bios.date: 10/02/2019
  dmi.bios.vendor: INSYDE Corp.
  dmi.bios.version: 1.07.04RTR1
  dmi.board.asset.tag: Tag 12345
  dmi.board.name: N141CU
  dmi.board.vendor: SCHENKER
  dmi.board.version: Not Applicable
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: Notebook
  dmi.chassis.version: N/A
  dmi.modalias: 
dmi:bvnINSYDECorp.:bvr1.07.04RTR1:bd10/02/2019:svnSCHENKER:pnSCHENKER_SLIM14_SSL14L19:pvrNotApplicable:rvnSCHENKER:rnN141CU:rvrNotApplicable:cvnNotebook:ct10:cvrN/A:
  dmi.product.family: Not Applicable
  dmi.product.name: SCHENKER_SLIM14_SSL14L19
  dmi.product.sku: Not Applicable
  dmi.product.version: Not Applicable
  dmi.sys.vendor: SCHENKER
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~20.04.1
  version.libgl1-mesa-glx: libgl1-mesa-glx 20.0.8-0ubuntu1~20.04.1
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.4
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libjogl2-java/+bug/1902539/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902674] Re: cso_set_viewport: Conditional jump or move depends on uninitialised value(s)

2020-11-03 Thread Daniel van Vugt
** Tags added: fixed-in-20.3

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1902674

Title:
  cso_set_viewport: Conditional jump or move depends on uninitialised
  value(s)

Status in mesa package in Ubuntu:
  New

Bug description:
  ==12912== Conditional jump or move depends on uninitialised value(s)
  ==12912==at 0x12094269: cso_set_viewport (cso_context.c:739)
  ==12912==by 0x120942EB: cso_set_viewport_dims (cso_context.c:764)
  ==12912==by 0x11C2AD80: clear_with_quad (st_cb_clear.c:335)
  ==12912==by 0x11C2AD80: st_Clear (st_cb_clear.c:545)

  Because there are unused bits in:

  struct pipe_viewport_state
  {
     float scale[3];
     float translate[3];
     enum pipe_viewport_swizzle swizzle_x:3;
     enum pipe_viewport_swizzle swizzle_y:3;
     enum pipe_viewport_swizzle swizzle_z:3;
     enum pipe_viewport_swizzle swizzle_w:3;
  };

  Fortunately this seems to be fixed upstream already, in
  a3363c348dcd968f2d3e413099a4d28fcda047eb

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1902674/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902540] Re: hirsute fails on add-apt-repository

2020-11-03 Thread Ubuntu Foundations Team Bug Bot
** Tags added: patch

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python-apt in Ubuntu.
https://bugs.launchpad.net/bugs/1902540

Title:
  hirsute fails on add-apt-repository

Status in python-apt package in Ubuntu:
  Triaged
Status in software-properties package in Ubuntu:
  Invalid

Bug description:
  On a fully updated hirsute add-apt-repository fails, example:

  root@h:~# sudo add-apt-repository ppa:ci-train-ppa-service/4321
  Traceback (most recent call last):
File "/usr/bin/add-apt-repository", line 330, in 
  addaptrepo = AddAptRepository()
File "/usr/bin/add-apt-repository", line 35, in __init__
  self.distro.get_sources(self.sourceslist)
File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 91, in 
get_sources
  raise NoDistroTemplateException(
  aptsources.distro.NoDistroTemplateException: Error: could not find a 
distribution template for Ubuntu/hirsute

  The PPA seems not to matter (all trigger it) and if I manually add PPA
  sources list and GPG key it works. So maybe software-properties just
  needs to learn about hirsute?

  Or is there another components (like distro-info or such) that needs a
  bump for this to work?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-apt/+bug/1902540/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1902674] [NEW] cso_set_viewport: Conditional jump or move depends on uninitialised value(s)

2020-11-03 Thread Daniel van Vugt
Public bug reported:

==12912== Conditional jump or move depends on uninitialised value(s)
==12912==at 0x12094269: cso_set_viewport (cso_context.c:739)
==12912==by 0x120942EB: cso_set_viewport_dims (cso_context.c:764)
==12912==by 0x11C2AD80: clear_with_quad (st_cb_clear.c:335)
==12912==by 0x11C2AD80: st_Clear (st_cb_clear.c:545)

Because there are unused bits in:

struct pipe_viewport_state
{
   float scale[3];
   float translate[3];
   enum pipe_viewport_swizzle swizzle_x:3;
   enum pipe_viewport_swizzle swizzle_y:3;
   enum pipe_viewport_swizzle swizzle_z:3;
   enum pipe_viewport_swizzle swizzle_w:3;
};

Fortunately this seems to be fixed upstream already, in
a3363c348dcd968f2d3e413099a4d28fcda047eb

** Affects: mesa (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: fixed-in-20.3 fixed-upstream groovy performance

** Tags added: fixed-upstream

** Description changed:

+ ==12912== Conditional jump or move depends on uninitialised value(s)
+ ==12912==at 0x12094269: cso_set_viewport (cso_context.c:739)
+ ==12912==by 0x120942EB: cso_set_viewport_dims (cso_context.c:764)
+ ==12912==by 0x11C2AD80: clear_with_quad (st_cb_clear.c:335)
+ ==12912==by 0x11C2AD80: st_Clear (st_cb_clear.c:545)
+ 
  Because there are unused bits in:
  
  struct pipe_viewport_state
  {
-float scale[3];
-float translate[3];
-enum pipe_viewport_swizzle swizzle_x:3;
-enum pipe_viewport_swizzle swizzle_y:3;
-enum pipe_viewport_swizzle swizzle_z:3;
-enum pipe_viewport_swizzle swizzle_w:3;
+    float scale[3];
+    float translate[3];
+    enum pipe_viewport_swizzle swizzle_x:3;
+    enum pipe_viewport_swizzle swizzle_y:3;
+    enum pipe_viewport_swizzle swizzle_z:3;
+    enum pipe_viewport_swizzle swizzle_w:3;
  };
  
  Fortunately this seems to be fixed upstream already, in
  a3363c348dcd968f2d3e413099a4d28fcda047eb

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1902674

Title:
  cso_set_viewport: Conditional jump or move depends on uninitialised
  value(s)

Status in mesa package in Ubuntu:
  New

Bug description:
  ==12912== Conditional jump or move depends on uninitialised value(s)
  ==12912==at 0x12094269: cso_set_viewport (cso_context.c:739)
  ==12912==by 0x120942EB: cso_set_viewport_dims (cso_context.c:764)
  ==12912==by 0x11C2AD80: clear_with_quad (st_cb_clear.c:335)
  ==12912==by 0x11C2AD80: st_Clear (st_cb_clear.c:545)

  Because there are unused bits in:

  struct pipe_viewport_state
  {
     float scale[3];
     float translate[3];
     enum pipe_viewport_swizzle swizzle_x:3;
     enum pipe_viewport_swizzle swizzle_y:3;
     enum pipe_viewport_swizzle swizzle_z:3;
     enum pipe_viewport_swizzle swizzle_w:3;
  };

  Fortunately this seems to be fixed upstream already, in
  a3363c348dcd968f2d3e413099a4d28fcda047eb

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1902674/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp